<?php

namespace App\Controllers\Web;

use App\Controllers\BaseController;
use App\Models\Web\HomeModel;

class Home extends BaseController
{
    public $home;
    public $db;
    public $session;

    public function __construct()
    {
        $this->home = new HomeModel();
        $this->db = \Config\Database::connect();
        $this->session = session();
    }

    public function index()
    {
        $data['breadcrumb'] = 'Home';
        $data['highlights'] = $this->home->market_highlights();
        $data['s_highlights'] = $this->home->service_highlights();
        $data['db'] = $this->db;
        return view('web/home', $data);
    }
}
