<?php

namespace App\Models\Admin;

use CodeIgniter\Model;

class OrganSettingsModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'organ_settings';
    protected $primaryKey       = 'id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['logo', 'favicon', 'footer_text', 'contact_info', 'emails', 'mobiles', 'copyright'];

    public function getSettings(){
        $builder = $this->db->table('organ_settings');
        $result = $builder->get()->getRow();
        return $result;
    }
    
}
