<?php

namespace App\Models\Web;

use CodeIgniter\Model;

class ReportAbuseModel extends Model
{
    protected $DBGroup          = 'default';
    protected $table            = 'abuse_reports';
    protected $primaryKey       = 'report_id';
    protected $useAutoIncrement = true;
    protected $insertID         = 0;
    protected $returnType       = 'array';
    protected $useSoftDeletes   = false;
    protected $protectFields    = true;
    protected $allowedFields    = ['report_ref', 'user_id', 'vendor_id', 'reason', 'description', 'read_status'];

    // Dates
    protected $useTimestamps = true;
    protected $dateFormat    = 'datetime';
    protected $createdField  = 'date_created';
    protected $updatedField  = 'date_updated';
    
}
