<?php
$this->db = \Config\Database::connect();
$query = $this->db->query("SELECT * FROM farm_groups ORDER BY group_id DESC");
$groups = $query->getResult();
?>

<div class="forum-widget">
    <div class="card">
        <div class="card-header">
            <h6>Farmer Groups</h6>
        </div>
        <div class="card-body">
            <div class="widget-content">
                <?php if ($groups) : ?>
                    <ul>
                        <?php foreach ($groups as $group) : ?>
                            <li><a href="<?= site_url('forum/topics/group/' . $group->group_slug) ?>"><?= $group->group_name ?></a></li>
                        <?php endforeach; ?>
                    </ul>
                <?php else : ?>
                    <h6 class="text-center px-4"><b>No Groups Found</b></h6>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>