-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jun 13, 2023 at 11:07 PM
-- Server version: 10.4.28-MariaDB
-- PHP Version: 8.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `amisug`
--

-- --------------------------------------------------------

--
-- Table structure for table `abuse_reports`
--

CREATE TABLE `abuse_reports` (
  `report_id` int(11) NOT NULL,
  `report_ref` varchar(10) NOT NULL,
  `user_id` varchar(10) NOT NULL,
  `vendor_id` varchar(10) NOT NULL,
  `reason` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `read_status` int(11) DEFAULT 0,
  `date_created` datetime NOT NULL,
  `date_updated` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `abuse_reports`
--

INSERT INTO `abuse_reports` (`report_id`, `report_ref`, `user_id`, `vendor_id`, `reason`, `description`, `read_status`, `date_created`, `date_updated`) VALUES
(1, 'REFdoaZIML', '7', '8', '1', 'This seller sold me expired products', 0, '2022-07-15 12:23:26', '2022-07-15 12:23:26'),
(2, 'REFQGSDR2c', '7', '8', '1', 'This seller sold me over stayed groceries more than once', 0, '2022-07-30 09:43:00', '2022-07-30 09:43:00'),
(3, 'INV2AKr9sW', '18', '10', 'Fake products', 'This seller is a fake seller, please don\'t buy from him', 0, '2022-08-16 16:25:35', '2022-08-16 16:25:35'),
(4, 'INVUrSxw3d', '18', '10', 'Fake products', 'This seller is a fake seller, please don\'t buy from him', 0, '2022-08-16 16:27:58', '2022-08-16 16:27:58');

-- --------------------------------------------------------

--
-- Table structure for table `attributes`
--

CREATE TABLE `attributes` (
  `attribute_id` int(10) UNSIGNED NOT NULL,
  `attribute_name` varchar(100) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `attributes`
--

INSERT INTO `attributes` (`attribute_id`, `attribute_name`, `created_at`, `updated_at`) VALUES
(1, 'Weight', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(2, 'Size', '2022-07-05 20:22:40', '2022-07-05 20:22:40');

-- --------------------------------------------------------

--
-- Table structure for table `auth_activation_attempts`
--

CREATE TABLE `auth_activation_attempts` (
  `id` int(11) UNSIGNED NOT NULL,
  `ip_address` varchar(255) NOT NULL,
  `user_agent` varchar(255) NOT NULL,
  `token` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `auth_groups`
--

CREATE TABLE `auth_groups` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `auth_groups`
--

INSERT INTO `auth_groups` (`id`, `name`, `description`) VALUES
(1, 'Admin', 'Can only access the admins dashboard'),
(2, 'Seller', 'Can only access the vendors dashboard'),
(3, 'Buyer', 'Can only access the users dashboard');

-- --------------------------------------------------------

--
-- Table structure for table `auth_groups_permissions`
--

CREATE TABLE `auth_groups_permissions` (
  `group_id` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `permission_id` int(11) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `auth_groups_permissions`
--

INSERT INTO `auth_groups_permissions` (`group_id`, `permission_id`) VALUES
(1, 1),
(2, 2),
(3, 3);

-- --------------------------------------------------------

--
-- Table structure for table `auth_groups_users`
--

CREATE TABLE `auth_groups_users` (
  `group_id` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `user_id` int(11) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `auth_groups_users`
--

INSERT INTO `auth_groups_users` (`group_id`, `user_id`) VALUES
(1, 9),
(2, 8),
(2, 10),
(2, 11),
(2, 12),
(2, 13),
(2, 14),
(2, 15),
(2, 16),
(2, 17),
(2, 26),
(2, 31),
(3, 7),
(3, 18),
(3, 24),
(3, 25),
(3, 27),
(3, 30);

-- --------------------------------------------------------

--
-- Table structure for table `auth_logins`
--

CREATE TABLE `auth_logins` (
  `id` int(11) UNSIGNED NOT NULL,
  `ip_address` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `user_id` int(11) UNSIGNED DEFAULT NULL,
  `date` datetime NOT NULL,
  `success` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `auth_logins`
--

INSERT INTO `auth_logins` (`id`, `ip_address`, `email`, `user_id`, `date`, `success`) VALUES
(3, '::1', 'johnbaptist@gmail.com', NULL, '2022-07-05 16:20:43', 0),
(4, '::1', 'osipothemes@gmail.com', 8, '2022-07-05 16:30:03', 1),
(5, '::1', 'osipothemes@gmail.com', 8, '2022-07-05 20:07:54', 1),
(6, '::1', 'moauganda@gmail.com', 9, '2022-07-05 20:14:21', 1),
(7, '::1', 'osipothemes@gmail.com', 8, '2022-07-05 20:25:39', 1),
(8, '::1', 'moauganda@gmail.com', 9, '2022-07-06 09:17:38', 1),
(9, '::1', 'osipothemes@gmail.com', 8, '2022-07-06 10:05:53', 1),
(10, '::1', 'osipothemes@gmail.com', 8, '2022-07-07 09:49:12', 1),
(11, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-08 09:07:49', 1),
(12, '::1', 'joshuaosipot@gmail.com', NULL, '2022-07-11 10:16:01', 0),
(13, '::1', '0789399702', NULL, '2022-07-11 10:16:38', 0),
(14, '::1', '0789399702', NULL, '2022-07-11 10:28:22', 0),
(15, '::1', 'osipothemes@gmail.com', 8, '2022-07-11 10:28:51', 1),
(16, '::1', 'moauganda@gmail.com', 9, '2022-07-12 09:14:10', 1),
(17, '::1', '078939970', NULL, '2022-07-12 10:10:47', 0),
(18, '::1', 'osipothemes@gmail.com', 8, '2022-07-12 10:27:23', 1),
(19, '::1', '07842426737', NULL, '2022-07-12 20:52:40', 0),
(20, '::1', 'moauganda@gmail.com', 9, '2022-07-12 20:54:28', 1),
(21, '::1', 'moauganda@gmail.com', 9, '2022-07-13 09:38:35', 1),
(22, '::1', 'osipothemes@gmail.com', NULL, '2022-07-13 14:21:44', 0),
(23, '::1', '078424263', NULL, '2022-07-14 21:25:24', 0),
(24, '::1', 'moauganda@gmail.com', 9, '2022-07-14 21:26:55', 1),
(25, '::1', 'osipothemes@gmail.com', 8, '2022-07-14 21:27:40', 1),
(26, '::1', '0789399702', NULL, '2022-07-15 10:33:20', 0),
(27, '::1', '0789399707', NULL, '2022-07-15 10:59:20', 0),
(28, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-15 11:00:27', 1),
(29, '::1', 'osipothemes@gmail.com', 8, '2022-07-15 12:30:22', 1),
(30, '::1', '0789399707', NULL, '2022-07-15 15:07:32', 0),
(31, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-15 15:07:51', 1),
(32, '::1', 'osipothemes@gmail.com', 8, '2022-07-15 20:57:16', 1),
(33, '::1', '0789399707', NULL, '2022-07-15 22:02:02', 0),
(34, '::1', 'osipothemes@gmail.com', 8, '2022-07-15 22:02:49', 1),
(35, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-15 22:36:09', 1),
(36, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-16 01:02:05', 1),
(37, '::1', 'moauganda@gmail.com', 9, '2022-07-17 15:46:39', 1),
(38, '::1', 'osipothemes@gmail.com', 8, '2022-07-17 15:49:26', 1),
(39, '::1', 'totinostores@gmail.com', 10, '2022-07-22 11:57:49', 1),
(40, '::1', 'osipothemes@gmail.com', 8, '2022-07-23 12:35:01', 1),
(41, '::1', 'moauganda@gmail.com', 9, '2022-07-25 11:55:58', 1),
(42, '::1', '078939970', NULL, '2022-07-25 16:32:22', 0),
(43, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-25 16:32:40', 1),
(44, '::1', '0789399707', NULL, '2022-07-25 16:56:30', 0),
(45, '::1', '0789399707', NULL, '2022-07-26 11:16:08', 0),
(46, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-26 11:16:44', 1),
(47, '::1', '0789399707', NULL, '2022-07-26 11:22:18', 0),
(48, '::1', '0789399707', NULL, '2022-07-26 11:36:49', 0),
(49, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-26 11:37:28', 1),
(50, '::1', '0789399707', NULL, '2022-07-26 11:49:40', 0),
(51, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-26 12:12:51', 1),
(52, '::1', 'totinostores@gmail.com', 10, '2022-07-26 12:14:04', 1),
(53, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-26 16:33:18', 1),
(54, '::1', 'moauganda@gmail.com', 9, '2022-07-27 13:19:25', 1),
(55, '::1', 'moauganda@gmail.com', 9, '2022-07-28 11:27:33', 1),
(56, '::1', 'moauganda@gmail.com', 9, '2022-07-30 09:33:04', 1),
(57, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-30 09:41:25', 1),
(58, '::1', 'joshuaosipot@gmail.com', 7, '2022-07-30 09:54:45', 1),
(59, '::1', 'osipothemes@gmail.com', 8, '2022-07-30 09:55:19', 1),
(60, '::1', 'moauganda@gmail.com', 9, '2022-08-01 09:26:33', 1),
(61, '::1', 'moauganda@gmail.com', 9, '2022-08-02 09:45:14', 1),
(62, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-02 14:29:37', 1),
(63, '::1', 'osipothemes@gmail.com', 8, '2022-08-02 16:27:12', 1),
(64, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:43:49', 1),
(65, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:47:30', 1),
(66, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:50:38', 1),
(67, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:53:47', 1),
(68, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:55:04', 1),
(69, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:56:03', 1),
(70, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:57:19', 1),
(71, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:57:50', 1),
(72, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 09:58:06', 1),
(73, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 10:03:03', 1),
(74, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 10:03:36', 1),
(75, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 10:09:37', 1),
(76, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 10:12:58', 1),
(77, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 11:07:42', 1),
(78, '::1', '0789399707', NULL, '2022-08-05 11:50:02', 0),
(79, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 11:50:11', 1),
(80, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:14:04', 1),
(81, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:15:49', 1),
(82, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:17:50', 1),
(83, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:18:05', 1),
(84, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:18:12', 1),
(85, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:18:15', 1),
(86, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:18:19', 1),
(87, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:20:48', 1),
(88, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:39:19', 1),
(89, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:39:43', 1),
(90, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 12:40:47', 1),
(91, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 14:34:55', 1),
(92, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 14:59:09', 1),
(93, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 15:14:56', 1),
(94, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 15:21:54', 1),
(95, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 15:30:33', 1),
(96, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 16:16:04', 1),
(97, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-05 16:28:56', 1),
(98, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-16 15:40:15', 1),
(99, '::1', 'joshuaosipot@gmail.com', 7, '2022-08-16 15:40:39', 1),
(100, '::1', 'johndoe@gmail.com', 18, '2022-08-16 15:46:43', 1),
(101, '::1', 'johndoe@gmail.com', 18, '2022-08-16 15:58:42', 1),
(102, '::1', 'johndoe@gmail.com', 18, '2022-08-17 12:59:46', 1),
(103, '::1', 'johndoe@gmail.com', 18, '2022-08-17 13:05:13', 1),
(104, '::1', 'johndoe@gmail.com', 18, '2022-08-17 13:11:30', 1),
(105, '::1', 'moauganda@gmail.com', 9, '2022-08-18 13:18:46', 1),
(106, '::1', 'totinostores@gmail.com', 10, '2022-08-20 09:58:13', 1),
(107, '::1', 'totinostores@gmail.com', 10, '2022-08-20 10:16:05', 1),
(108, '::1', 'totinostores@gmail.com', 10, '2022-08-20 11:09:49', 1),
(109, '::1', 'totinostores@gmail.com', 10, '2022-08-20 12:08:42', 1),
(110, '::1', 'totinostores@gmail.com', 10, '2022-08-20 13:18:11', 1),
(111, '::1', 'totinostores@gmail.com', 10, '2022-08-22 12:53:03', 1),
(112, '::1', 'totinostores@gmail.com', 10, '2022-08-22 15:43:48', 1),
(113, '::1', 'osipothemes@gmail.com', 8, '2022-08-22 16:24:22', 1),
(114, '::1', 'moauganda@gmail.com', 9, '2022-08-22 16:33:42', 1),
(115, '::1', 'osipothemes@gmail.com', 8, '2022-08-23 11:42:15', 1),
(116, '::1', 'moauganda@gmail.com', 9, '2022-08-23 11:43:08', 1),
(117, '::1', 'totinostores@gmail.com', 10, '2022-08-24 10:26:17', 1),
(118, '::1', 'totinostores@gmail.com', 10, '2022-08-24 10:27:15', 1),
(119, '::1', 'moauganda@gmail.com', 9, '2022-08-24 13:12:55', 1),
(120, '::1', 'moauganda@gmail.com', 9, '2022-08-25 12:51:43', 1),
(121, '::1', 'moauganda@gmail.com', 9, '2022-08-25 16:16:12', 1),
(122, '::1', 'moauganda@gmail.com', 9, '2022-08-27 11:10:27', 1),
(123, '102.222.235.123', 'totinostores@gmail.com', 10, '2022-08-27 13:51:27', 1),
(124, '102.222.235.123', 'joshuaosipot@gmail.com', 7, '2022-08-27 13:54:22', 1),
(125, '102.222.235.123', 'totinostores@gmail.com', 10, '2022-08-27 13:55:15', 1),
(126, '102.222.235.123', 'livingstone@gmail.com', 17, '2022-08-27 13:58:31', 1),
(127, '102.222.235.123', 'osipothemes@gmail.com', 8, '2022-08-27 14:10:26', 1),
(128, '41.75.187.44', 'osipothemes@gmail.com', 8, '2022-08-29 09:19:55', 1),
(129, '41.75.187.44', 'osipothemes@gmail.com', 8, '2022-08-29 09:19:55', 1),
(130, '41.75.188.5', 'osipothemes@gmail.com', 8, '2022-08-30 00:24:39', 1),
(131, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:34:46', 1),
(132, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:35:52', 1),
(133, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:37:42', 1),
(134, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:38:24', 1),
(135, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:38:59', 1),
(136, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:39:58', 1),
(137, '154.229.17.130', 'osipothemes@gmail.com', 8, '2022-08-30 22:40:18', 1),
(138, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:40:29', 1),
(139, '154.229.17.130', 'osipothemes@gmail.com', 8, '2022-08-30 22:40:30', 1),
(140, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:41:07', 1),
(141, '154.229.17.130', 'osipothemes@gmail.com', 8, '2022-08-30 22:41:23', 1),
(142, '154.229.17.130', 'osipothemes@gmail.com', 8, '2022-08-30 22:41:23', 1),
(143, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:41:42', 1),
(144, '154.229.17.130', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:42:04', 1),
(145, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:42:06', 1),
(146, '41.75.188.190', 'joshuaosipot@gmail.com', 7, '2022-08-30 22:42:37', 1),
(147, '41.75.186.159', 'osipothemes@gmail.com', 8, '2022-08-31 18:50:30', 1),
(148, '41.75.186.159', 'joshuaosipot@gmail.com', 7, '2022-08-31 18:51:22', 1),
(149, '41.75.186.159', 'joshuaosipot@gmail.com', 7, '2022-08-31 21:15:10', 1),
(150, '41.75.186.165', 'joshuaosipot@gmail.com', 7, '2022-08-31 22:39:15', 1),
(151, '102.80.248.192', 'osipothemes@gmail.com', 8, '2022-09-01 00:36:25', 1),
(152, '102.80.248.192', 'joshuaosipot@gmail.com', 7, '2022-09-01 00:44:50', 1),
(153, '102.80.248.192', 'osipothemes@gmail.com', 8, '2022-09-01 01:05:50', 1),
(154, '41.210.145.146', 'osipothemes@gmail.com', 8, '2022-09-04 19:59:15', 1),
(155, '41.210.145.146', 'moauganda@gmail.com', 9, '2022-09-04 21:06:06', 1),
(156, '41.210.155.237', 'totinostores@gmail.com', 10, '2022-09-05 00:00:15', 1),
(157, '154.227.149.175', 'osipothemes@gmail.com', 8, '2022-09-05 00:35:32', 1),
(158, '154.227.149.175', 'totinostores@gmail.com', 10, '2022-09-05 00:40:48', 1),
(159, '197.239.6.62', 'osipothemes@gmail.com', 8, '2022-09-05 10:18:45', 1),
(160, '41.75.188.68', 'osipothemes@gmail.com', 8, '2022-09-17 11:47:23', 1),
(161, '41.75.188.68', 'joshuaosipot@gmail.com', 7, '2022-09-17 13:23:59', 1),
(162, '41.222.6.78', 'osipothemes@gmail.com', 8, '2022-09-24 18:27:59', 1),
(163, '41.222.6.78', '0772320088', NULL, '2022-09-24 18:31:29', 0),
(164, '41.222.6.78', 'osipothemes@gmail.com', 8, '2022-09-25 17:19:41', 1),
(165, '41.222.6.78', '0789399703', NULL, '2022-09-27 10:47:01', 0),
(166, '41.222.6.78', 'osipothemes@gmail.com', 8, '2022-09-27 10:47:12', 1),
(167, '41.222.6.78', 'joshuaosipot@gmail.com', 7, '2022-09-27 10:55:17', 1),
(168, '41.222.6.78', 'osipothemes@gmail.com', 8, '2022-10-14 11:03:05', 1),
(169, '41.222.6.78', 'osipothemes@gmail.com', 8, '2022-10-14 11:20:38', 1),
(170, '41.222.6.78', 'joshuaosipot@gmail.com', 7, '2022-10-14 12:41:20', 1),
(171, '41.222.6.78', 'osipothemes@gmail.com', 8, '2022-10-14 13:18:54', 1),
(172, '154.224.50.167', 'joshuaosipot@gmail.com', 7, '2022-10-16 13:12:26', 1),
(173, '154.224.50.167', 'joshuaosipot@gmail.com', 7, '2022-10-16 16:59:12', 1),
(174, '160.119.151.114', 'osipothemes@gmail.com', 8, '2022-10-20 17:56:29', 1),
(175, '217.138.200.26', 'osipothemes@gmail.com', 8, '2022-10-27 19:01:43', 1),
(176, '217.138.200.26', 'joshuaosipot@gmail.com', 7, '2022-10-27 19:16:28', 1),
(177, '197.239.7.84', 'osipothemes@gmail.com', 8, '2022-10-28 01:16:52', 1),
(178, '197.239.7.84', 'joshuaosipot@gmail.com', 7, '2022-10-28 01:38:39', 1),
(179, '41.75.187.120', 'joshuaosipot@gmail.com', 7, '2022-10-31 10:47:41', 1),
(180, '41.75.187.120', 'osipothemes@gmail.com', 8, '2022-10-31 11:02:12', 1),
(181, '127.0.0.1', 'moauganda@gmail.com', 9, '2023-03-30 07:28:25', 1),
(182, '::1', '07845344534', NULL, '2023-04-02 14:59:33', 0),
(183, '::1', '07845344534', NULL, '2023-04-02 14:59:47', 0),
(184, '::1', '07834545678', NULL, '2023-04-02 15:14:38', 0),
(185, '::1', '07834545678', NULL, '2023-04-02 15:56:05', 0),
(186, '::1', 'moauganda@gmail.com', 9, '2023-04-02 16:28:52', 1),
(187, '::1', 'moauganda@gmail.com', 9, '2023-04-02 17:13:50', 1),
(188, '::1', 'moauganda@gmail.com', 9, '2023-04-02 18:27:26', 1),
(189, '::1', 'moauganda@gmail.com', 9, '2023-04-03 01:07:40', 1);

-- --------------------------------------------------------

--
-- Table structure for table `auth_permissions`
--

CREATE TABLE `auth_permissions` (
  `id` int(11) UNSIGNED NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `auth_permissions`
--

INSERT INTO `auth_permissions` (`id`, `name`, `description`) VALUES
(1, 'admin', 'Can only access the admins dashboard'),
(2, 'vendor', 'Can only access the vendors dashboard'),
(3, 'user', 'Can only access the users dashboard');

-- --------------------------------------------------------

--
-- Table structure for table `auth_reset_attempts`
--

CREATE TABLE `auth_reset_attempts` (
  `id` int(11) UNSIGNED NOT NULL,
  `email` varchar(255) NOT NULL,
  `ip_address` varchar(255) NOT NULL,
  `user_agent` varchar(255) NOT NULL,
  `token` varchar(255) DEFAULT NULL,
  `created_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `auth_tokens`
--

CREATE TABLE `auth_tokens` (
  `id` int(11) UNSIGNED NOT NULL,
  `selector` varchar(255) NOT NULL,
  `hashedValidator` varchar(255) NOT NULL,
  `user_id` int(11) UNSIGNED NOT NULL,
  `expires` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `auth_users_permissions`
--

CREATE TABLE `auth_users_permissions` (
  `user_id` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `permission_id` int(11) UNSIGNED NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `auth_users_permissions`
--

INSERT INTO `auth_users_permissions` (`user_id`, `permission_id`) VALUES
(9, 1);

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `category_id` int(10) UNSIGNED NOT NULL,
  `category_name` varchar(100) NOT NULL,
  `category_slug` varchar(100) NOT NULL,
  `category_thumb` varchar(60) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` (`category_id`, `category_name`, `category_slug`, `category_thumb`, `created_at`, `updated_at`) VALUES
(1, 'Fruits', 'fruits', '1658740222_b1027edce62e96630ae5.png', '2022-07-05 20:19:47', '2022-07-25 12:10:22'),
(2, 'Beans', 'beans', '1658740172_4859f7cbf0d7424d7971.png', '2022-07-05 20:20:14', '2022-07-25 12:09:32'),
(3, 'Potatoes', 'potatoes', '1658740130_11d33cb879e3ffb51944.png', '2022-07-05 20:20:28', '2022-07-25 12:08:50'),
(4, 'Maize', 'maize', '1658740070_058ec76aca104095a555.png', '2022-07-05 20:20:55', '2022-07-25 12:07:50'),
(5, 'Vegetables', 'vegetables', '1680450862_07cd74e34a89d9061e81.png', '2022-09-04 21:09:01', '2023-04-02 18:54:22');

-- --------------------------------------------------------

--
-- Table structure for table `districts`
--

CREATE TABLE `districts` (
  `district_id` int(10) UNSIGNED NOT NULL,
  `district_name` varchar(100) NOT NULL,
  `district_slug` varchar(100) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `districts`
--

INSERT INTO `districts` (`district_id`, `district_name`, `district_slug`, `created_at`, `updated_at`) VALUES
(1, 'Abim', 'abim', '2022-07-05 20:22:33', '2022-07-12 22:58:02'),
(2, 'Adjumani', 'adjumani', '2022-07-05 20:22:33', '2022-07-12 22:58:13'),
(3, 'Agago', 'agago', '2022-07-05 20:22:33', '2022-07-12 22:58:22'),
(4, 'Alebtong', 'alebtong', '2022-07-05 20:22:33', '2022-07-12 22:58:31'),
(5, 'Amolatar', 'amolatar', '2022-07-05 20:22:33', '2022-07-12 22:58:50'),
(6, 'Amudat', 'amudat', '2022-07-05 20:22:33', '2022-07-12 22:59:01'),
(7, 'Amuru', 'amuru', '2022-07-05 20:22:33', '2022-07-12 22:59:24'),
(8, 'Apac', 'apac', '2022-07-05 20:22:33', '2022-07-12 22:59:35'),
(9, 'Arua', 'arua', '2022-07-05 20:22:33', '2022-07-12 22:59:47'),
(10, 'Dokolo', 'dokolo', '2022-07-05 20:22:33', '2022-07-12 23:02:06'),
(11, 'Gulu', 'gulu', '2022-07-05 20:22:33', '2022-07-12 23:01:57'),
(12, 'Kaabong', 'kaabong', '2022-07-05 20:22:33', '2022-07-12 23:03:36'),
(13, 'Kitgum', 'kitgum', '2022-07-05 20:22:33', '2022-07-12 23:05:12'),
(14, 'Koboko', 'koboko', '2022-07-05 20:22:33', '2022-07-12 23:05:07'),
(15, 'Kole', 'kole', '2022-07-05 20:22:33', '2022-07-12 23:05:02'),
(16, 'Kotido', 'kotido', '2022-07-05 20:22:33', '2022-07-12 23:04:57'),
(17, 'Lamwo', 'lamwo', '2022-07-05 20:22:33', '2022-07-12 23:07:14'),
(18, 'Lira', 'lira', '2022-07-05 20:22:33', '2022-07-12 23:07:08'),
(19, 'Maracha', 'maracha', '2022-07-05 20:22:33', '2022-07-12 23:09:15'),
(20, 'Moroto', 'moroto', '2022-07-05 20:22:33', '2022-07-12 23:10:52'),
(21, 'Moyo', 'moyo', '2022-07-05 20:22:33', '2022-07-12 23:10:45'),
(22, 'Nakapiripirit', 'nakapiripirit', '2022-07-05 20:22:33', '2022-07-12 23:10:25'),
(23, 'Napak', 'napak', '2022-07-05 20:22:33', '2022-07-12 23:12:34'),
(24, 'Nebbi', 'nebbi', '2022-07-05 20:22:33', '2022-07-12 23:12:28'),
(25, 'Nwoya', 'nwoya', '2022-07-05 20:22:33', '2022-07-12 23:12:01'),
(26, 'Otuke', 'otuke', '2022-07-05 20:22:33', '2022-07-12 23:11:55'),
(27, 'Oyam', 'oyam', '2022-07-05 20:22:33', '2022-07-12 23:11:49'),
(28, 'Pader', 'pader', '2022-07-05 20:22:33', '2022-07-12 23:11:41'),
(29, 'Yumbe', 'yumbe', '2022-07-05 20:22:33', '2022-07-12 23:14:18'),
(30, 'Zombo', 'zombo', '2022-07-05 20:22:33', '2022-07-12 23:14:14'),
(31, 'Buhweju', 'buhweju', '2022-07-05 20:22:33', '2022-07-12 23:01:05'),
(32, 'Buliisa', 'buliisa', '2022-07-05 20:22:33', '2022-07-12 23:00:32'),
(33, 'Bundibugyo', 'bundibugyo', '2022-07-05 20:22:33', '2022-07-12 23:02:39'),
(34, 'Bushenyi', 'bushenyi', '2022-07-05 20:22:33', '2022-07-12 23:02:34'),
(35, 'Hoima', 'hoima', '2022-07-05 20:22:33', '2022-07-12 23:04:04'),
(36, 'Ibanda', 'ibanda', '2022-07-05 20:22:33', '2022-07-12 23:03:58'),
(37, 'Isingiro', 'isingiro', '2022-07-05 20:22:33', '2022-07-12 23:03:47'),
(38, 'Kabale', 'kabale', '2022-07-05 20:22:33', '2022-07-12 23:03:32'),
(39, 'Kabarole', 'kabarole', '2022-07-05 20:22:33', '2022-07-12 23:03:26'),
(40, 'Kamwenge', 'kamwenge', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(41, 'Kanungu', 'kanungu', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(42, 'Kasese', 'kasese', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(43, 'Kibaale', 'kibaale', '2022-07-05 20:22:33', '2022-07-12 23:05:59'),
(44, 'Kiruhura', 'kiruhura', '2022-07-05 20:22:33', '2022-07-12 23:05:29'),
(45, 'Kiryandongo', 'kiryandongo', '2022-07-05 20:22:33', '2022-07-12 23:05:23'),
(46, 'Kisoro', 'kisoro', '2022-07-05 20:22:33', '2022-07-12 23:05:17'),
(47, 'Kyegegwa', 'kyegegwa', '2022-07-05 20:22:33', '2022-07-12 23:07:25'),
(48, 'Kyenjojo', 'kyenjojo', '2022-07-05 20:22:33', '2022-07-12 23:07:19'),
(49, 'Masindi', 'masindi', '2022-07-05 20:22:33', '2022-07-12 23:08:59'),
(50, 'Mbarara', 'mbarara', '2022-07-05 20:22:33', '2022-07-12 23:08:46'),
(51, 'Mitooma', 'mitooma', '2022-07-05 20:22:33', '2022-07-12 23:08:41'),
(52, 'Ntoroko', 'ntoroko', '2022-07-05 20:22:33', '2022-07-12 23:12:14'),
(53, 'Ntungamo', 'ntungamo', '2022-07-05 20:22:33', '2022-07-12 23:12:07'),
(54, 'Rubirizi', 'rubirizi', '2022-07-05 20:22:33', '2022-07-12 23:13:51'),
(55, 'Rukungiri', 'rukungiri', '2022-07-05 20:22:33', '2022-07-12 23:13:46'),
(56, 'Sheema', 'sheema', '2022-07-05 20:22:33', '2022-07-12 23:13:28'),
(57, 'Buikwe', 'buikwe', '2022-07-05 20:22:33', '2022-07-12 23:01:00'),
(58, 'Bukomansimbi', 'bukomansimbi', '2022-07-05 20:22:33', '2022-07-12 23:00:49'),
(59, 'Butambala', 'butambala', '2022-07-05 20:22:33', '2022-07-12 23:02:20'),
(60, 'Buvuma', 'buvuma', '2022-07-05 20:22:33', '2022-07-12 23:02:15'),
(61, 'Gomba', 'gomba', '2022-07-05 20:22:33', '2022-07-12 23:02:02'),
(62, 'Kalangala', 'kalangala', '2022-07-05 20:22:33', '2022-07-12 23:03:16'),
(63, 'Kalungu', 'kalungu', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(64, 'Kayunga', 'kayunga', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(65, 'Kiboga', 'kiboga', '2022-07-05 20:22:33', '2022-07-12 23:05:52'),
(66, 'Kyankwanzi', 'kyankwanzi', '2022-07-05 20:22:33', '2022-07-12 23:07:31'),
(67, 'Luweero', 'luweero', '2022-07-05 20:22:33', '2022-07-12 23:06:42'),
(68, 'Lwengo', 'lwengo', '2022-07-05 20:22:33', '2022-07-12 23:06:36'),
(69, 'Lyantonde', 'lyantonde', '2022-07-05 20:22:33', '2022-07-12 23:09:33'),
(70, 'Masaka', 'masaka', '2022-07-05 20:22:33', '2022-07-12 23:09:07'),
(71, 'Mityana', 'mityana', '2022-07-05 20:22:33', '2022-07-12 23:08:35'),
(72, 'Mpigi', 'mpigi', '2022-07-05 20:22:33', '2022-07-12 23:10:40'),
(73, 'Mubende', 'mubende', '2022-07-05 20:22:33', '2022-07-12 23:10:35'),
(74, 'Mukono', 'mukono', '2022-07-05 20:22:33', '2022-07-12 23:10:31'),
(75, 'Nakaseke', 'nakaseke', '2022-07-05 20:22:33', '2022-07-12 23:10:20'),
(76, 'Nakasongola', 'nakasongola', '2022-07-05 20:22:33', '2022-07-12 23:10:15'),
(77, 'Rakai', 'rakai', '2022-07-05 20:22:33', '2022-07-12 23:13:55'),
(78, 'Sembabule', 'sembabule', '2022-07-05 20:22:33', '2022-07-12 23:13:40'),
(79, 'Wakiso', 'wakiso', '2022-07-05 20:22:33', '2022-07-12 23:14:24'),
(80, 'Amuria', 'amuria', '2022-07-05 20:22:33', '2022-07-12 22:59:12'),
(81, 'Budaka', 'budaka', '2022-07-05 20:22:33', '2022-07-12 23:01:23'),
(82, 'Bududa', 'bududa', '2022-07-05 20:22:33', '2022-07-12 23:01:18'),
(83, 'Bugiri', 'bugiri', '2022-07-05 20:22:33', '2022-07-12 23:01:11'),
(84, 'Bukedea', 'bukedea', '2022-07-05 20:22:33', '2022-07-12 23:00:55'),
(85, 'Bukwa', 'bukwa', '2022-07-05 20:22:33', '2022-07-12 23:00:44'),
(86, 'Bulambuli', 'bulambuli', '2022-07-05 20:22:33', '2022-07-12 23:00:38'),
(87, 'Busia', 'busia', '2022-07-05 20:22:33', '2022-07-12 23:02:29'),
(88, 'Butaleja', 'butaleja', '2022-07-05 20:22:33', '2022-07-12 23:02:24'),
(89, 'Buyende', 'buyende', '2022-07-05 20:22:33', '2022-07-12 23:02:11'),
(90, 'Iganga', 'iganga', '2022-07-05 20:22:33', '2022-07-12 23:03:51'),
(91, 'Jinja', 'jinja', '2022-07-05 20:22:33', '2022-07-12 23:03:42'),
(92, 'Kaberamaido', 'kaberamaido', '2022-07-05 20:22:33', '2022-07-12 23:03:21'),
(93, 'Kaliro', 'kaliro', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(94, 'Kamuli', 'kamuli', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(95, 'Kapchorwa', 'kapchorwa', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(96, 'Katakwi', 'katakwi', '2022-07-05 20:22:33', '2022-07-05 20:22:33'),
(97, 'Kibuku', 'kibuku', '2022-07-05 20:22:33', '2022-07-12 23:05:35'),
(98, 'Kumi', 'kumi', '2022-07-05 20:22:33', '2022-07-12 23:07:50'),
(99, 'Kween', 'kween', '2022-07-05 20:22:33', '2022-07-12 23:07:38'),
(100, 'Luuka', 'luuka', '2022-07-05 20:22:33', '2022-07-12 23:07:00'),
(101, 'Manafwa', 'manafwa', '2022-07-05 20:22:33', '2022-07-12 23:09:23'),
(102, 'Mayuge', 'mayuge', '2022-07-05 20:22:33', '2022-07-12 23:08:54'),
(103, 'Mbale', 'mbale', '2022-07-05 20:22:33', '2022-07-12 23:08:50'),
(104, 'Namayingo', 'namayingo', '2022-07-05 20:22:33', '2022-07-12 23:10:10'),
(105, 'Namutumba', 'namutumba', '2022-07-05 20:22:33', '2022-07-12 23:10:04'),
(106, 'Ngora', 'ngora', '2022-07-05 20:22:33', '2022-07-12 23:12:20'),
(107, 'Pallisa', 'pallisa', '2022-07-05 20:22:33', '2022-07-12 23:11:33'),
(108, 'Serere', 'serere', '2022-07-05 20:22:33', '2022-07-12 23:13:34'),
(109, 'Sironko', 'sironko', '2022-07-05 20:22:33', '2022-07-12 23:13:23'),
(110, 'Soroti', 'soroti', '2022-07-05 20:22:33', '2022-07-12 23:13:17'),
(111, 'Tororo', 'tororo', '2022-07-05 20:22:33', '2022-07-12 23:14:29'),
(112, 'Kampala', 'kampala', '2022-07-12 08:42:19', '2022-07-12 08:42:19');

-- --------------------------------------------------------

--
-- Table structure for table `email_settings`
--

CREATE TABLE `email_settings` (
  `id` int(11) NOT NULL,
  `email` varchar(155) NOT NULL,
  `password` varchar(255) NOT NULL,
  `names` varchar(155) NOT NULL,
  `smtp_protocol` varchar(20) NOT NULL,
  `smtp_host` varchar(100) NOT NULL,
  `smtp_port` varchar(10) NOT NULL,
  `smtp_encryption` varchar(20) NOT NULL,
  `mail_type` varchar(20) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `email_settings`
--

INSERT INTO `email_settings` (`id`, `email`, `password`, `names`, `smtp_protocol`, `smtp_host`, `smtp_port`, `smtp_encryption`, `mail_type`, `created_at`, `updated_at`) VALUES
(1, 'info@osipothemes.com', '&]3jbPyY1]', 'Osipothemes', 'smtp', 'smtp.hostinger.com', '465', 'ssl', 'html', '2022-08-24 14:06:07', '2022-08-24 15:33:29');

-- --------------------------------------------------------

--
-- Table structure for table `farm_groups`
--

CREATE TABLE `farm_groups` (
  `group_id` int(10) UNSIGNED NOT NULL,
  `group_name` varchar(50) NOT NULL,
  `group_slug` varchar(100) NOT NULL,
  `group_logo` varchar(60) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `farm_groups`
--

INSERT INTO `farm_groups` (`group_id`, `group_name`, `group_slug`, `group_logo`, `created_at`, `updated_at`) VALUES
(1, 'Maize Growers', 'maize-growers', '', '2022-07-22 08:23:51', '2022-07-22 08:23:51'),
(2, 'Rice Growers', 'rice-growers', '', '2022-07-22 08:24:11', '2022-07-22 08:24:11'),
(3, 'Cassava Growers', 'cassava-growers', '', '2022-07-22 08:24:11', '2022-07-22 08:24:11'),
(4, 'Potato Farmers', 'potato-farmers', '', '2022-07-22 08:24:11', '2022-07-22 08:24:11'),
(5, 'Millet Farmers', 'millet-farmers', '1680450219_3dba1f6c350963095734.png', '2022-07-22 08:24:11', '2023-04-02 18:43:39');

-- --------------------------------------------------------

--
-- Table structure for table `forum_discussions`
--

CREATE TABLE `forum_discussions` (
  `discussion_id` int(11) NOT NULL,
  `discussion_topic_id` varchar(10) NOT NULL,
  `discussion` text DEFAULT NULL,
  `farmer_id` varchar(10) NOT NULL,
  `discussion_group_id` varchar(10) NOT NULL,
  `discussion_created` datetime NOT NULL,
  `discussion_updated` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `forum_discussions`
--

INSERT INTO `forum_discussions` (`discussion_id`, `discussion_topic_id`, `discussion`, `farmer_id`, `discussion_group_id`, `discussion_created`, `discussion_updated`) VALUES
(15, '15', 'This is really a very great idea', '10', '5', '2022-07-22 15:55:28', '2022-07-22 15:55:28'),
(16, '15', 'Thank you ', '8', '5', '2022-09-27 11:17:28', '2022-09-27 11:17:28'),
(17, '15', 'I so love this group', '31', '5', '2023-04-02 19:04:02', '2023-04-02 19:04:02');

-- --------------------------------------------------------

--
-- Table structure for table `forum_joined_groups`
--

CREATE TABLE `forum_joined_groups` (
  `join_id` int(11) NOT NULL,
  `join_user_id` varchar(10) NOT NULL,
  `join_group_id` varchar(10) NOT NULL,
  `join_created` datetime NOT NULL,
  `join_updated` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `forum_joined_groups`
--

INSERT INTO `forum_joined_groups` (`join_id`, `join_user_id`, `join_group_id`, `join_created`, `join_updated`) VALUES
(16, '10', '5', '2022-07-22 12:45:34', '2022-07-22 12:45:34'),
(17, '10', '4', '2022-07-22 16:48:41', '2022-07-22 16:48:41'),
(18, '8', '5', '2022-09-27 11:16:28', '2022-09-27 11:16:28'),
(19, '31', '5', '2023-04-02 19:02:06', '2023-04-02 19:02:06');

-- --------------------------------------------------------

--
-- Table structure for table `forum_topics`
--

CREATE TABLE `forum_topics` (
  `topic_id` int(11) NOT NULL,
  `topic_group_id` varchar(10) NOT NULL,
  `topic_title` varchar(100) DEFAULT NULL,
  `topic_slug` varchar(150) DEFAULT NULL,
  `topic_description` varchar(255) DEFAULT NULL,
  `topic_author` int(11) DEFAULT NULL,
  `topic_created_at` datetime DEFAULT NULL,
  `topic_updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `forum_topics`
--

INSERT INTO `forum_topics` (`topic_id`, `topic_group_id`, `topic_title`, `topic_slug`, `topic_description`, `topic_author`, `topic_created_at`, `topic_updated_at`) VALUES
(15, '5', 'Best practices to grow millet', 'best-practices-to-grow-millet', 'Hello guys, can we discuss on the best ways to plant and take of millet in order to achieve a fruitful harvest', 10, '2022-07-22 14:06:52', '2022-07-22 14:06:52');

-- --------------------------------------------------------

--
-- Table structure for table `home_slider`
--

CREATE TABLE `home_slider` (
  `slider_id` int(11) NOT NULL,
  `slider_title` varchar(255) NOT NULL,
  `slider_sub` text NOT NULL,
  `slider_image` varchar(100) NOT NULL,
  `slider_created_at` datetime NOT NULL,
  `slider_updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `home_slider`
--

INSERT INTO `home_slider` (`slider_id`, `slider_title`, `slider_sub`, `slider_image`, `slider_created_at`, `slider_updated_at`) VALUES
(1, '“ It’s awesome & hassle-free platform to get all your agricultural needs. ”', '( Agricultural Information System )', '1661262349_9d84da44f11f865383ee.jpg', '2022-08-23 15:26:56', '2022-08-23 16:45:49'),
(2, '“ It’s awesome & hassle-free platform to get all your agricultural needs. ”', '( Agricultural Information System )', '1661262847_d48131092db306624faf.jpg', '2022-08-23 15:27:28', '2022-08-23 16:54:07'),
(3, '“ It’s awesome & hassle-free platform to get all your agricultural needs. ”', '( Agricultural Information System )', '1661262878_8a96d06be0af0f52f0f0.jpg', '2022-08-23 15:27:28', '2022-08-23 16:54:38'),
(4, '“ It’s awesome & hassle-free platform to get all your agricultural needs. ”', '( Agricultural Information System )', '1661262906_95f74aa95c1631f9cc8b.jpg', '2022-08-23 15:27:52', '2022-08-23 16:55:06'),
(5, '“ It’s awesome & hassle-free platform to get all your agricultural needs. ”', '( Agricultural Information System )', '1661262933_92de2fc3586f35b0daa5.jpg', '2022-08-23 15:27:52', '2022-08-23 16:55:33');

-- --------------------------------------------------------

--
-- Table structure for table `markets`
--

CREATE TABLE `markets` (
  `market_id` int(10) UNSIGNED NOT NULL,
  `market_name` varchar(200) NOT NULL,
  `market_slug` varchar(200) NOT NULL,
  `market_district` varchar(100) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `markets`
--

INSERT INTO `markets` (`market_id`, `market_name`, `market_slug`, `market_district`, `created_at`, `updated_at`) VALUES
(1, 'Kikuubo', 'kikuubo', '112', '2022-07-12 09:43:55', '2022-07-12 09:57:26'),
(2, 'Owino Market', 'owino-market', '112', '2022-07-12 09:46:12', '2022-07-12 09:46:12'),
(3, 'Nakasero Market', 'nakasero-market', '112', '2022-07-12 09:46:33', '2022-07-12 09:46:33'),
(4, 'Nakawa Market', 'nakawa-market', '112', '2022-07-12 09:46:45', '2022-07-12 09:46:45'),
(6, 'Vegan Foods Uganda', 'vegan-foods-uganda', '112', '2022-07-12 20:59:17', '2022-07-12 20:59:17'),
(7, 'Ntinda Market', 'ntinda-market', '112', '2022-07-12 21:00:10', '2022-07-12 21:00:10'),
(8, 'Kibuye Market', 'kibuye-market', '112', '2022-07-12 21:00:38', '2022-07-12 21:00:38'),
(9, 'Kiwatule Market', 'kiwatule-market', '112', '2022-07-12 21:01:18', '2022-07-12 21:01:18'),
(10, 'Bugwere Market', 'bugwere-market', '103', '2022-07-12 21:03:29', '2022-07-12 21:03:29'),
(11, 'Mutukula Market', 'mutukula-market', '103', '2022-07-12 21:04:27', '2022-07-12 21:04:27'),
(12, 'Kumi Road Market', 'kumi-road-market', '103', '2022-07-12 21:04:45', '2022-07-12 21:04:45'),
(13, 'Namatala Market', 'namatala-market', '103', '2022-07-12 21:05:33', '2022-07-12 21:05:33'),
(14, 'Soroti Main Market', 'soroti-main-market', '110', '2022-07-12 21:08:17', '2022-07-12 21:08:17'),
(15, 'Moruapesur', 'moruapesur', '110', '2022-07-12 21:08:39', '2022-07-12 21:08:39'),
(16, 'Obuku Market', 'obuku-market', '110', '2022-07-12 21:08:54', '2022-07-12 21:08:54'),
(17, 'Kiganadani Market', 'kiganadani-market', '110', '2022-07-12 21:09:28', '2022-07-12 21:09:28');

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `version` varchar(255) NOT NULL,
  `class` varchar(255) NOT NULL,
  `group` varchar(255) NOT NULL,
  `namespace` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  `batch` int(11) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`id`, `version`, `class`, `group`, `namespace`, `time`, `batch`) VALUES
(15, '2017-11-20-223112', 'Myth\\Auth\\Database\\Migrations\\CreateAuthTables', 'default', 'Myth\\Auth', 1657012020, 1),
(16, '2022-06-30-171039', 'App\\Database\\Migrations\\FarmGroups', 'default', 'App', 1657012021, 1),
(17, '2022-06-30-173357', 'App\\Database\\Migrations\\Units', 'default', 'App', 1657012021, 1),
(18, '2022-06-30-173418', 'App\\Database\\Migrations\\ServiceTypes', 'default', 'App', 1657012022, 1),
(19, '2022-06-30-173556', 'App\\Database\\Migrations\\Attributes', 'default', 'App', 1657012022, 1),
(20, '2022-06-30-173609', 'App\\Database\\Migrations\\Categories', 'default', 'App', 1657012023, 1),
(21, '2022-06-30-181758', 'App\\Database\\Migrations\\Districts', 'default', 'App', 1657012024, 1),
(22, '2022-06-30-182619', 'App\\Database\\Migrations\\Markets', 'default', 'App', 1657012026, 1),
(23, '2022-06-30-183344', 'App\\Database\\Migrations\\Products', 'default', 'App', 1657012026, 1),
(24, '2022-06-30-192802', 'App\\Database\\Migrations\\Services', 'default', 'App', 1657012026, 1),
(25, '2022-06-30-193537', 'App\\Database\\Migrations\\ProductReviews', 'default', 'App', 1657012026, 1),
(26, '2022-06-30-195257', 'App\\Database\\Migrations\\Orders', 'default', 'App', 1657012027, 1),
(27, '2022-06-30-200225', 'App\\Database\\Migrations\\Complaints', 'default', 'App', 1657012028, 1),
(28, '2022-06-30-200603', 'App\\Database\\Migrations\\ProductRequests', 'default', 'App', 1657012028, 1),
(29, '2022-07-05-213624', 'App\\Database\\Migrations\\ServiceUnits', 'default', 'App', 1657057091, 2),
(30, '2022-07-06-131854', 'App\\Database\\Migrations\\ServiceOrders', 'default', 'App', 1657113790, 3);

-- --------------------------------------------------------

--
-- Table structure for table `orders`
--

CREATE TABLE `orders` (
  `order_id` int(10) UNSIGNED NOT NULL,
  `order_invoice` varchar(10) NOT NULL,
  `user_id` varchar(10) NOT NULL,
  `vendor_id` varchar(10) NOT NULL,
  `prod_id` varchar(10) NOT NULL,
  `prod_category` int(11) NOT NULL,
  `prod_market` int(11) NOT NULL,
  `prod_district` int(11) NOT NULL,
  `pro_order_unit` varchar(10) NOT NULL,
  `order_qty` int(11) NOT NULL,
  `order_total` int(11) NOT NULL,
  `order_discount` int(11) NOT NULL DEFAULT 0,
  `payment_status` int(11) NOT NULL DEFAULT 0,
  `order_status` int(10) NOT NULL DEFAULT 2,
  `read_status` int(11) NOT NULL DEFAULT 0,
  `order_created` datetime NOT NULL,
  `order_updated` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `orders`
--

INSERT INTO `orders` (`order_id`, `order_invoice`, `user_id`, `vendor_id`, `prod_id`, `prod_category`, `prod_market`, `prod_district`, `pro_order_unit`, `order_qty`, `order_total`, `order_discount`, `payment_status`, `order_status`, `read_status`, `order_created`, `order_updated`) VALUES
(1, 'INV00125', '7', '8', '1', 1, 2, 112, '1', 10, 25000, 0, 0, 0, 1, '2022-07-06 10:51:21', '2022-07-06 15:55:12'),
(3, 'INVQOyGvPU', '7', '8', '1', 1, 2, 112, '1', 1, 2500, 0, 0, 2, 1, '2022-07-15 22:37:05', '2022-07-15 22:37:05'),
(4, 'INVdXfIAet', '7', '8', '1', 1, 2, 112, '1', 1, 2500, 0, 1, 1, 1, '2022-07-26 16:38:46', '2022-08-02 16:27:44'),
(5, 'INVU8p35aP', '7', '8', '1', 1, 2, 112, '1', 1, 2500, 0, 1, 1, 1, '2022-08-02 14:29:55', '2022-08-02 16:27:33'),
(6, 'INVT6xMv5r', '7', '10', '2', 2, 2, 112, '1', 10, 31000, 0, 1, 1, 1, '2022-08-05 14:35:49', '2022-09-05 00:41:12'),
(8, 'INVanM4XQo', '7', '10', '3', 4, 2, 112, '1', 15, 562500, 0, 0, 2, 0, '2022-08-31 19:16:52', '2022-08-31 19:16:52'),
(9, 'INVhJalN2s', '7', '10', '3', 4, 2, 112, '1', 1, 2500, 0, 0, 2, 0, '2022-09-01 00:45:45', '2022-09-01 00:45:45'),
(10, 'INVvX1mDaF', '7', '10', '3', 4, 2, 112, '1', 1, 2500, 0, 0, 2, 0, '2022-09-01 00:45:45', '2022-09-01 00:45:45'),
(11, 'INVLbBfcKg', '7', '10', '3', 4, 2, 112, '1', 2, 10000, 0, 0, 2, 0, '2022-09-01 00:52:40', '2022-09-01 00:52:40'),
(12, 'INVodL4SEh', '7', '10', '3', 4, 2, 112, '1', 2, 10000, 0, 0, 2, 0, '2022-09-01 00:52:40', '2022-09-01 00:52:40'),
(13, 'INVIuBCLkQ', '7', '10', '3', 4, 2, 112, '1', 1, 2500, 0, 0, 2, 0, '2022-09-01 00:53:00', '2022-09-01 00:53:00'),
(14, 'INVeg3ftRZ', '8', '8', '1', 4, 2, 112, '3', 1, 4500, 0, 0, 2, 1, '2022-09-05 00:36:18', '2022-09-05 00:36:18'),
(15, 'INVpevKoMT', '7', '8', '15', 4, 2, 112, '1', 1, 2000, 0, 1, 1, 1, '2022-09-27 10:57:22', '2022-09-27 11:01:11'),
(16, 'INVW5ICTVL', '30', '10', '4', 4, 2, 112, '1', 1, 3500, 0, 0, 2, 0, '2023-04-02 16:02:27', '2023-04-02 16:02:27');

-- --------------------------------------------------------

--
-- Table structure for table `organ_settings`
--

CREATE TABLE `organ_settings` (
  `id` int(11) NOT NULL,
  `logo` varchar(100) NOT NULL,
  `favicon` varchar(100) NOT NULL,
  `footer_text` varchar(255) NOT NULL,
  `contact_info` varchar(255) NOT NULL,
  `emails` varchar(100) NOT NULL,
  `mobiles` varchar(100) NOT NULL,
  `copyright` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `organ_settings`
--

INSERT INTO `organ_settings` (`id`, `logo`, `favicon`, `footer_text`, `contact_info`, `emails`, `mobiles`, `copyright`) VALUES
(1, '1661347995_33c52ca7e2690a98ddcc.png', '1661348275_da3d947195967ff3f99a.png', 'AMISUG was developed to provide members and stakeholders to connect farmers to buyers, highlights on marketing and trade information, leading to more efficient and competitive transactions in food trade between surplus and deficit regions.', 'Ministry of Agriculture, Animal Industry and Fisheries P.O Box 102, Entebbe Plot 16-18, Lugard Avenue, Entebbe Uganda.', 'info@agriculture.go.ug', '041 4320004', 'Ministry of Agriculture, Animal Industry and Fisheries | National Information System');

-- --------------------------------------------------------

--
-- Table structure for table `products`
--

CREATE TABLE `products` (
  `product_id` int(10) UNSIGNED NOT NULL,
  `product_ref` varchar(10) NOT NULL,
  `product_category` varchar(10) NOT NULL,
  `product_vendor` varchar(10) NOT NULL,
  `product_name` varchar(200) NOT NULL,
  `product_slug` varchar(200) NOT NULL,
  `product_keywords` varchar(255) NOT NULL,
  `product_meta_desc` varchar(255) NOT NULL,
  `product_desc` text NOT NULL,
  `product_image` varchar(60) NOT NULL,
  `product_attribute` varchar(10) NOT NULL,
  `product_unit` varchar(10) NOT NULL,
  `sale_type` int(11) NOT NULL,
  `unit_value` int(11) NOT NULL,
  `sku` varchar(10) NOT NULL,
  `product_price` int(20) NOT NULL,
  `product_discount` float NOT NULL,
  `product_status` varchar(10) NOT NULL,
  `product_district` int(11) NOT NULL,
  `product_market` int(11) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `products`
--

INSERT INTO `products` (`product_id`, `product_ref`, `product_category`, `product_vendor`, `product_name`, `product_slug`, `product_keywords`, `product_meta_desc`, `product_desc`, `product_image`, `product_attribute`, `product_unit`, `sale_type`, `unit_value`, `sku`, `product_price`, `product_discount`, `product_status`, `product_district`, `product_market`, `created_at`, `updated_at`) VALUES
(1, 'ciDgRLzwXF', '1', '8', 'Fresh Green Apples', 'fresh-green-apples', 'apples, fresh, green', 'Fresh Green Apples from the garden', '<p>Fresh Green Apples from the garden</p>\r\n', '1662314656_069d0806280e6736a3de.png', '', '3', 1, 5, 'AGQCHhl', 4500, 0, '1', 112, 2, '2022-07-05 22:57:12', '2022-09-04 21:04:16'),
(2, 'MajJsKHU83', '5', '10', 'Beetroot', 'beetroot', 'Beetroot', 'Beetroot', '<p>Buy only fresh beans harvested straight from the garden to the market. We offer free delivery for large quantity bought.</p>\r\n', '1662325697_ab5bd9cb683f62bb6e03.png', '', '1', 1, 1, 'AGvZD9r', 3100, 0, '1', 112, 2, '2022-07-17 16:57:02', '2022-09-05 00:08:17'),
(3, '51tPvpIMZ6', '4', '10', 'High Quality Maize', 'high-quality-maize', 'maize, posho', 'buy high quality maize', '<p>Buy high quality maize brands from us. You can buy in wholesale or retail</p>\n', '1658066947_8128a7aa6f3a0e451fa4.png', '', '1', 1, 1, 'AGruWcg', 2500, 0, '1', 112, 2, '2022-07-17 17:09:07', '2022-07-17 17:09:07'),
(4, 'ckUofnPORA', '2', '10', 'Gree Beans', 'gree-beans', 'beans, fresh', 'buy green fresh beans ', 'Buy high quality maize brands from us. You can buy in wholesale or retail', '1658067245_077056acd586b1d2990b.png', '', '1', 1, 1, 'AGAy8Eb', 3500, 0, '1', 112, 2, '2022-07-17 17:14:05', '2022-07-17 17:14:05'),
(7, 'eHYOlFZpEL', '1', '8', 'Fresh Yellow Pears', 'fresh-yellow-pears', 'pears, fresh', 'Fresh yellow Pears', '<p>Fresh yellow Pears</p>\r\n', '1662314226_64e7c3e5b90852d0c5bf.png', '', '1', 1, 5, 'AGU0VNq', 10000, 0, '1', 112, 2, '2022-09-04 20:55:15', '2022-09-04 20:57:06'),
(8, 'fBEg6rs5hS', '1', '8', 'Fresh Sweet Pomegranate', 'fresh-sweet-pomegranate', 'Fresh, Pomegranate', 'Fresh Sweet Pomegranate', '<p>Fresh Sweet Pomegranate</p>\r\n', '1662314400_cda7e42d2a1fbe49191a.png', '', '3', 1, 5, 'AGfaytL', 15000, 0, '1', 112, 2, '2022-09-04 21:00:00', '2022-09-04 21:00:00'),
(9, '5bhH8LZwzl', '1', '8', 'Fresh Sweet Cold Red Apples', 'fresh-sweet-cold-red-apples', 'Fresh, Sweet, Cold, Red Apples', 'Fresh Sweet Cold Red Apples', '<p>Fresh Sweet Cold Red Apples</p>\r\n', '1662314540_9665b780709ed72487cc.png', '', '3', 1, 5, 'AGWPKSg', 5000, 0, '1', 112, 2, '2022-09-04 21:02:20', '2022-09-04 21:02:20'),
(10, 'A03MJwbehT', '5', '8', 'Fresh Preserved Mushrooms', 'fresh-preserved-mushrooms', 'fresh, mushrooms', 'Fresh preserved mushrooms', '<p>Fresh preserved mushrooms</p>\r\n', '1662315085_0a1716b188cfda35ce1c.png', '', '1', 1, 1, 'AGuqVSi', 5000, 0, '1', 112, 2, '2022-09-04 21:11:25', '2022-09-04 21:11:25'),
(11, 'AHC615ulzE', '5', '8', 'Bean Sprouts', 'bean-sprouts', 'bean, sprouts', 'Bean Sprouts', '<p>Fresh Bean Sprouts</p>\r\n', '1662315246_48906c5fe0329c88ea4c.png', '', '1', 1, 1, 'AG8WiFA', 3000, 0, '1', 112, 2, '2022-09-04 21:14:06', '2022-09-04 21:14:06'),
(12, '6FNyZCIH5Y', '5', '11', 'Bell Peppers', 'bell-peppers', 'peppers, fresh, choi', 'Fresh Bok Choi', '<p>Get fresh Bok Choi</p>\r\n', '1662326157_e6b3f6d7fcc515a3a74f.png', '', '3', 1, 5, 'AGE6xa9', 2000, 0, '1', 112, 2, '2022-09-05 00:15:57', '2022-09-05 00:15:57'),
(13, 'R51x2vOqd8', '5', '11', 'Fresh Healthy Carrots', 'fresh-healthy-carrots', 'fresh, carrots', 'Fresh Healthy Carrots', '<p>Fresh Healthy Carrots</p>\r\n', '1662326274_108c3363ef5bcd4af44c.png', '', '1', 1, 1, 'AGo40S6', 2500, 0, '1', 112, 2, '2022-09-05 00:17:54', '2022-09-05 00:17:54'),
(14, 'VUjG7psurD', '5', '11', 'Fresh Cassava', 'fresh-cassava', 'cassava, fresh', 'Fresh Cassava', '<p>Fresh Cassava straight from the garden</p>\r\n', '1662326466_4e6d4ecdc50c5b7f6f2d.png', '', '3', 1, 3, 'AG7Un4F', 2000, 0, '1', 112, 2, '2022-09-05 00:21:06', '2022-09-05 00:21:06'),
(15, 'tCyWjTAQU9', '4', '8', 'Maize', 'maize', 'maize', 'maize ', '<p>Good maize</p>\r\n', '1664265197_7208f83ca5d6d306c23a.jpg', '', '1', 1, 1, 'AGiIPDs', 2000, 0, '1', 112, 2, '2022-09-27 10:53:17', '2022-09-27 10:53:17'),
(16, 'Z7pORgsQcV', '5', '17', 'Test Product', 'test-product', 'keyword', 'description', '<p>description</p>\r\n', '1680124981_882941d685c153397c93.png', '', '6', 1, 1, 'AGClwDo', 2000, 0, '1', 112, 2, '2023-03-30 00:23:01', '2023-03-30 00:23:01');

-- --------------------------------------------------------

--
-- Table structure for table `product_requests`
--

CREATE TABLE `product_requests` (
  `request_id` int(10) UNSIGNED NOT NULL,
  `request_ref` varchar(10) NOT NULL,
  `user_id` varchar(10) NOT NULL,
  `vendor_id` varchar(10) NOT NULL,
  `request_title` varchar(200) NOT NULL,
  `request_type` int(11) NOT NULL,
  `request_desc` text NOT NULL,
  `request_status` int(11) NOT NULL,
  `read_status` int(11) NOT NULL DEFAULT 0,
  `r_created_at` datetime NOT NULL,
  `r_updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `product_requests`
--

INSERT INTO `product_requests` (`request_id`, `request_ref`, `user_id`, `vendor_id`, `request_title`, `request_type`, `request_desc`, `request_status`, `read_status`, `r_created_at`, `r_updated_at`) VALUES
(1, 'REF00012', '7', '8', 'Requesting for bag of Onions', 1, 'Hello, can you supply our restaurant with a bag of onions every single week for a period of 6 months', 3, 1, '2022-07-06 21:29:25', '2022-07-07 00:55:04'),
(2, 'REFakDXMH7', '7', '8', 'Request for farm tools', 1, 'Can you give me a constant supply of farm tools', 2, 1, '2022-07-15 11:01:27', '2022-07-15 11:01:27'),
(3, 'REFFkJd54s', '7', '8', 'Follow Request', 1, 'I am following up up on my last request', 2, 0, '2022-07-15 11:14:12', '2022-07-15 11:14:12'),
(4, 'REFJe9hslC', '7', '8', 'Requesting for Animal service', 2, 'Hello, can you offer me vetenary services', 2, 0, '2022-07-15 11:34:49', '2022-07-15 11:34:49'),
(5, 'REFXL3nYm0', '7', '8', 'Fresh Irish', 1, 'Can you supply us with large quantities of irish to our hotels', 0, 1, '2022-07-15 15:43:49', '2022-08-02 16:28:46'),
(6, 'REFhJwN9uS', '7', '8', 'Fresh Irish', 1, 'Can you supply us with large quantities of irish to our hotels', 1, 1, '2022-07-15 15:46:49', '2022-08-02 16:28:40'),
(7, 'REF1UZ5sJn', '7', '8', 'Yearly service', 2, 'Please can you offer me this service for a whole year', 1, 1, '2022-07-16 01:03:42', '2022-08-02 16:28:32'),
(8, 'REFJT6WCmi', '7', '8', 'Test', 1, 'testing request', 2, 0, '2022-07-26 16:37:09', '2022-07-26 16:37:09'),
(9, 'REFsXrtwQ0', '7', '8', 'testing request', 2, 'testing request', 2, 0, '2022-07-26 16:38:28', '2022-07-26 16:38:28'),
(10, 'REFmxuFf1h', '7', '8', 'Fresh Irish', 1, 'test', 1, 1, '2022-07-26 16:39:01', '2022-08-02 16:28:24'),
(11, 'REFuQcnwRh', '7', '8', 'Fresh Irish', 1, 'Please can you supply more', 1, 1, '2022-07-26 16:39:24', '2022-08-02 16:28:18'),
(14, 'INV2CDiFYh', '18', '10', 'Bulk deliveries', 1, 'Can you do bulk deliveries?', 2, 0, '2022-08-16 16:34:38', '2022-08-22 13:14:33'),
(15, 'INVB2vOEYj', '7', '10', 'Test Garande', 2, 'Testing the request form service', 2, 0, '2022-08-31 22:41:10', '2022-08-31 22:41:10'),
(16, 'INV6ZRp2WY', '7', '10', 'Tracker Services', 2, 'I need tarcker service for one day ', 2, 0, '2022-09-01 00:55:09', '2022-09-01 00:55:09'),
(17, 'INVysilXuF', '7', '10', 'Tracker Services', 2, 'I need tarcker service for one day ', 2, 0, '2022-09-01 00:55:09', '2022-09-01 00:55:09');

-- --------------------------------------------------------

--
-- Table structure for table `product_reviews`
--

CREATE TABLE `product_reviews` (
  `review_id` int(10) UNSIGNED NOT NULL,
  `reviewer_id` varchar(10) NOT NULL,
  `r_product_vendor` varchar(10) NOT NULL,
  `reviewed_product` varchar(10) NOT NULL,
  `review_title` varchar(200) NOT NULL,
  `review_desc` text NOT NULL,
  `review_rating` int(10) NOT NULL,
  `r_created_at` datetime NOT NULL,
  `r_updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `product_reviews`
--

INSERT INTO `product_reviews` (`review_id`, `reviewer_id`, `r_product_vendor`, `reviewed_product`, `review_title`, `review_desc`, `review_rating`, `r_created_at`, `r_updated_at`) VALUES
(1, '7', '8', '1', 'So fresh Irish potatoes', 'Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin commodo. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.', 5, '2022-07-07 00:19:56', '2022-07-07 00:19:56'),
(2, '7', '8', '1', 'Fresh Product', 'The product was fresh though the delivery was poor', 3, '2022-07-15 15:26:47', '2022-07-15 15:26:47'),
(3, '18', '10', '3', 'Wonderful Product', 'Wonderful product i love so much', 5, '2022-08-16 16:45:18', '2022-08-16 16:45:18'),
(4, '18', '', '', 'Wonderful Product', 'Wonderful product i love so much', 5, '2022-08-16 16:48:47', '2022-08-16 16:48:47'),
(5, '7', '10', '3', 'High Quality Maize', 'This maize is nice ', 4, '2022-09-01 00:46:36', '2022-09-01 00:46:36'),
(6, '7', '10', '3', 'High Quality Maize', 'good ', 4, '2022-09-01 00:47:07', '2022-09-01 00:47:07'),
(7, '7', '8', '15', 'Good Maize ', 'I like what i see', 5, '2022-09-27 10:56:41', '2022-09-27 10:56:41');

-- --------------------------------------------------------

--
-- Table structure for table `services`
--

CREATE TABLE `services` (
  `service_id` int(10) UNSIGNED NOT NULL,
  `service_ref` varchar(10) NOT NULL,
  `service_category` varchar(10) NOT NULL,
  `service_vendor` varchar(10) NOT NULL,
  `service_name` varchar(200) NOT NULL,
  `service_slug` varchar(200) NOT NULL,
  `service_keywords` varchar(255) NOT NULL,
  `service_meta_desc` varchar(255) NOT NULL,
  `service_desc` text NOT NULL,
  `service_image` varchar(60) NOT NULL,
  `sku` varchar(10) NOT NULL,
  `service_unit` varchar(10) NOT NULL,
  `service_price` int(20) NOT NULL,
  `service_discount` float NOT NULL,
  `service_district` int(11) NOT NULL,
  `service_status` int(10) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `services`
--

INSERT INTO `services` (`service_id`, `service_ref`, `service_category`, `service_vendor`, `service_name`, `service_slug`, `service_keywords`, `service_meta_desc`, `service_desc`, `service_image`, `sku`, `service_unit`, `service_price`, `service_discount`, `service_district`, `service_status`, `created_at`, `updated_at`) VALUES
(1, 'wSXtyW6qcU', '2', '8', 'Bean Planting', 'bean-planting', 'planting, daily', 'We Plant Your Entire Garden In A Day', '<p>We plant your entire garden in a day</p>\r\n', '1662315821_46569acd253a7d33b41c.png', 'AGcUnpN', '2', 10000, 0, 112, 1, '2022-07-06 10:33:05', '2022-09-04 21:23:41'),
(5, 'jyEa1xIp7c', '1', '10', 'Test Api Service 3', 'test-api-service-3', '', '', 'This is my test service api hhchggbjv ', '1660990906_3add9b59e8f11685c324.png', 'AGATNPl', '3', 10000, 0, 112, 1, '2022-08-20 13:01:47', '2022-08-20 13:01:47'),
(6, 'AbiPVmO4IT', '2', '8', 'Cassava Planting', 'cassava-planting', 'cassava planting', 'Cassava Planting', '<p>We plant your entire cassava garden in one day</p>\r\n', '1662319349_983dae0da9e41abd783d.png', 'AGwAMGp', '2', 20000, 0, 112, 1, '2022-09-04 22:22:29', '2022-09-04 22:22:29'),
(7, 'fLux6mdzIJ', '10', '8', 'Agricultural Consultations', 'agricultural-consultations', 'agricultural consultations', 'Agricultural Consultations', '<p>Consult us for all your agricultural needs</p>\r\n', '1662319604_9f34f061371963be6d9a.png', 'AG9m3dY', '6', 15000, 0, 112, 1, '2022-09-04 22:26:44', '2022-09-04 22:26:44'),
(8, 'BRt7oYk0I2', '2', '8', 'Main Planting', 'main-planting', 'main planting', 'Main Planting', '<p>We plant your maize garden for you with acurate spacing for proper growth</p>\r\n', '1662320144_bd903635ebfe50a28654.png', 'AGkFExX', '2', 15000, 0, 112, 1, '2022-09-04 22:35:44', '2022-09-04 22:35:44'),
(9, '9pABj0aUN1', '9', '8', 'We Can Plant Your Tree Garden', 'we-can-plant-your-tree-garden', 'tree planting, planting', 'We Can Plant Your Tree Garden', '<p>We can plant your tree garden for 50 trees a day</p>\r\n', '1662320529_62f713d332303802d1f8.png', 'AGgJzy5', '2', 200000, 0, 112, 1, '2022-09-04 22:42:09', '2022-09-04 22:42:09'),
(10, 'iSFs65p7O2', '9', '10', 'Tracker Hire', 'tracker-hire', 'tracker hire', 'Tracker Hire', '<p>Tracker hire</p>\r\n', '1662327872_5bdaad72dccd59386e1c.jpg', 'AG0qQwl', '1', 60000, 0, 112, 1, '2022-09-05 00:44:32', '2022-09-05 00:44:32'),
(11, 'osWIc3zBr1', '12', '31', 'Test Service', 'test-service', 'test keywords', 'Test Description', '<p>Test description</p>\r\n', '1680445198_613baa4121bd6669a531.png', 'AGYBQKD', '1', 10000, 0, 112, 1, '2023-04-02 17:19:58', '2023-04-02 17:19:58');

-- --------------------------------------------------------

--
-- Table structure for table `service_orders`
--

CREATE TABLE `service_orders` (
  `s_order_id` int(10) UNSIGNED NOT NULL,
  `s_order_invoice` varchar(10) NOT NULL,
  `s_user_id` varchar(10) NOT NULL,
  `s_vendor_id` varchar(10) NOT NULL,
  `s_service_id` varchar(10) NOT NULL,
  `s_service_unit` varchar(10) NOT NULL,
  `s_category` int(11) NOT NULL,
  `s_district` int(11) NOT NULL,
  `s_order_qty` int(10) NOT NULL,
  `s_service_unit_price` int(11) NOT NULL,
  `s_order_total` int(11) NOT NULL,
  `s_order_discount` int(11) NOT NULL,
  `s_payment_status` int(10) NOT NULL,
  `s_order_status` int(10) NOT NULL,
  `read_status` int(11) NOT NULL DEFAULT 0,
  `s_order_created` datetime NOT NULL,
  `s_order_updated` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `service_orders`
--

INSERT INTO `service_orders` (`s_order_id`, `s_order_invoice`, `s_user_id`, `s_vendor_id`, `s_service_id`, `s_service_unit`, `s_category`, `s_district`, `s_order_qty`, `s_service_unit_price`, `s_order_total`, `s_order_discount`, `s_payment_status`, `s_order_status`, `read_status`, `s_order_created`, `s_order_updated`) VALUES
(1, 'INV00333', '7', '8', '1', '2', 1, 112, 1, 10000, 10000, 0, 1, 1, 1, '2022-07-06 15:33:29', '2022-07-06 21:48:07'),
(2, 'INVMLfswn5', '7', '8', '1', '2', 1, 112, 1, 10000, 10000, 0, 0, 2, 0, '2022-07-16 01:02:31', '2022-07-16 01:02:31'),
(3, 'INVIFUeWrS', '7', '8', '1', '2', 1, 112, 5, 10000, 50000, 0, 0, 2, 0, '2022-07-16 01:03:01', '2022-07-16 01:03:01'),
(4, 'INVwTM253s', '7', '8', '1', '2', 1, 112, 10, 10000, 100000, 0, 0, 2, 0, '2022-08-05 14:59:24', '2022-08-05 14:59:24'),
(5, 'INVXtWZEcT', '7', '10', '5', '3', 1, 112, 19, 190000, 3610000, 0, 0, 2, 1, '2022-08-31 21:18:32', '2022-08-31 21:18:32'),
(9, 'INVVMl5TPE', '30', '8', '6', '2', 2, 112, 1, 20000, 20000, 0, 0, 2, 0, '2023-04-02 17:12:52', '2023-04-02 17:12:52');

-- --------------------------------------------------------

--
-- Table structure for table `service_reviews`
--

CREATE TABLE `service_reviews` (
  `review_id` int(11) NOT NULL,
  `reviewer_id` int(11) NOT NULL,
  `r_service_vendor` int(11) NOT NULL,
  `reviewed_service` int(11) NOT NULL,
  `review_title` varchar(255) NOT NULL,
  `review_desc` text NOT NULL,
  `review_rating` int(11) NOT NULL,
  `r_created_at` datetime NOT NULL DEFAULT current_timestamp(),
  `r_updated_at` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `service_reviews`
--

INSERT INTO `service_reviews` (`review_id`, `reviewer_id`, `r_service_vendor`, `reviewed_service`, `review_title`, `review_desc`, `review_rating`, `r_created_at`, `r_updated_at`) VALUES
(1, 7, 8, 1, 'Your customer care was amazing', 'I have not transacted with a provider so friendly as this for such a long time', 4, '2022-07-14 22:57:54', '2022-07-14 22:57:54'),
(2, 7, 8, 1, 'Amazing Service', 'Write reviewVery amazing and wonderful service', 5, '2022-07-16 01:22:00', '2022-07-16 01:22:00'),
(3, 18, 8, 1, 'Wonderful Product', 'Wonderful product i love so much', 5, '2022-08-16 16:49:33', '2022-08-16 16:49:33'),
(4, 7, 10, 5, 'Test Api Service 3', 'quality service, I love it', 4, '2022-08-31 18:29:51', '2022-08-31 18:29:51'),
(5, 7, 10, 5, 'Test Api Service 3', 'wow', 4, '2022-08-31 21:48:57', '2022-08-31 21:48:57'),
(6, 7, 10, 5, 'Test Api Service 3', 'wow', 4, '2022-08-31 21:48:58', '2022-08-31 21:48:58'),
(7, 7, 10, 5, 'Test Api Service 3', 'wow', 4, '2022-08-31 21:48:58', '2022-08-31 21:48:58');

-- --------------------------------------------------------

--
-- Table structure for table `service_types`
--

CREATE TABLE `service_types` (
  `service_type_id` int(10) UNSIGNED NOT NULL,
  `service_type_name` varchar(200) NOT NULL,
  `service_type_slug` varchar(200) NOT NULL,
  `service_type_thumb` varchar(60) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `service_types`
--

INSERT INTO `service_types` (`service_type_id`, `service_type_name`, `service_type_slug`, `service_type_thumb`, `created_at`, `updated_at`) VALUES
(1, 'Soil preparation', 'soil-preparation', '1657695299_2ab7c5939681a5a065c4.jpg', '2022-07-05 20:23:12', '2022-07-13 09:54:59'),
(2, 'Crop planting', 'crop-planting', '1657695461_a6e443fbe264289a6fb7.jpg', '2022-07-05 20:23:24', '2022-07-13 09:57:41'),
(3, 'Crop Protection', 'crop-protection', '1657695623_8a17db83669035b115a6.png', '2022-07-13 10:00:23', '2022-07-13 10:00:23'),
(4, 'Crop Harvesting', 'crop-harvesting', '1657695942_1eb626551b716d22b956.png', '2022-07-13 10:05:42', '2022-07-13 10:05:42'),
(5, 'Crop Preparation', 'crop-preparation', '1657696108_6afcb0364d191bc5a1aa.png', '2022-07-13 10:08:28', '2022-07-13 10:08:28'),
(6, 'Cotton Ginning', 'cotton-ginning', '1657696218_a1d2dd3364bf34c1f0a7.png', '2022-07-13 10:10:18', '2022-07-13 10:10:18'),
(7, 'Veterinary', 'veterinary', '1657696307_56fb0224f5ff5d0f4f92.png', '2022-07-13 10:11:47', '2022-07-13 10:11:47'),
(8, 'Livestock', 'livestock', '1657696398_540aa579f3ff16683791.png', '2022-07-13 10:13:18', '2022-07-13 10:13:18'),
(9, 'Farm Labor', 'farm-labor', '1657696514_777f23fdd625af349bb0.png', '2022-07-13 10:15:14', '2022-07-13 10:15:14'),
(10, 'Farm Management', 'farm-management', '1657696600_126d369443ce362a69f8.png', '2022-07-13 10:16:40', '2022-07-13 10:16:40'),
(11, 'Lawn And Garden', 'lawn-and-garden', '1657696759_3376af89611d92610a27.png', '2022-07-13 10:19:19', '2022-07-13 10:19:19'),
(12, 'Tree Services', 'tree-services', '1657696917_2eb51ba927a9e783c52b.png', '2022-07-13 10:21:57', '2022-07-13 10:21:57');

-- --------------------------------------------------------

--
-- Table structure for table `service_units`
--

CREATE TABLE `service_units` (
  `service_unit_id` int(10) UNSIGNED NOT NULL,
  `service_unit_name` varchar(200) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `service_units`
--

INSERT INTO `service_units` (`service_unit_id`, `service_unit_name`, `created_at`, `updated_at`) VALUES
(1, 'Hourly', '2022-07-05 23:39:19', '2022-07-05 23:39:19'),
(2, 'Daily', '2022-07-05 23:39:19', '2022-07-05 23:39:19'),
(3, 'Weekly', '2022-07-05 23:39:19', '2022-07-05 23:39:19'),
(4, 'Monthly', '2022-07-05 23:39:19', '2022-07-05 23:39:19'),
(5, 'Flat', '2022-07-05 23:49:59', '2022-07-05 23:49:59'),
(6, 'Other', '2022-07-06 09:13:21', '2022-07-06 09:13:21');

-- --------------------------------------------------------

--
-- Table structure for table `units`
--

CREATE TABLE `units` (
  `unit_id` int(10) UNSIGNED NOT NULL,
  `unit_name` varchar(50) NOT NULL,
  `unit_shortname` varchar(30) NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `units`
--

INSERT INTO `units` (`unit_id`, `unit_name`, `unit_shortname`, `created_at`, `updated_at`) VALUES
(1, 'Kiligrams', 'kg', '2022-07-05 20:21:15', '2022-07-05 20:21:15'),
(2, 'Grams', 'g', '2022-07-05 20:21:25', '2022-07-05 20:21:25'),
(3, 'Pieces', 'pcs', '2022-07-05 20:21:33', '2022-07-05 20:21:33'),
(4, 'Clusters', 'cl', '2022-07-05 20:21:45', '2022-07-05 20:21:45'),
(5, 'Inches', 'in', '2022-07-05 20:22:00', '2022-07-05 20:22:00'),
(6, 'Large', 'lg', '2022-07-05 20:22:17', '2022-07-05 20:22:17');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) UNSIGNED NOT NULL,
  `firstname` varchar(50) NOT NULL,
  `lastname` varchar(50) NOT NULL,
  `slug` varchar(255) NOT NULL,
  `dob` date DEFAULT NULL,
  `billing_names` varchar(50) NOT NULL,
  `phone` varchar(15) NOT NULL,
  `billing_phone` varchar(15) NOT NULL,
  `email` varchar(255) NOT NULL,
  `category` varchar(10) NOT NULL,
  `address` text NOT NULL,
  `billing_address` varchar(255) NOT NULL,
  `district` varchar(50) NOT NULL,
  `billing_district` varchar(100) NOT NULL,
  `billing_city` varchar(50) NOT NULL,
  `market` int(11) NOT NULL DEFAULT 0,
  `username` varchar(30) DEFAULT NULL,
  `store_name` varchar(150) DEFAULT NULL,
  `sell_as` int(11) DEFAULT NULL,
  `store_tagline` varchar(255) DEFAULT NULL,
  `store_description` text DEFAULT NULL,
  `profile_image` varchar(60) DEFAULT NULL,
  `password_hash` varchar(255) NOT NULL,
  `reset_hash` varchar(255) DEFAULT NULL,
  `reset_at` datetime DEFAULT NULL,
  `reset_expires` datetime DEFAULT NULL,
  `activate_hash` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `status_message` varchar(255) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT 0,
  `verification` int(11) NOT NULL DEFAULT 2,
  `document` varchar(100) DEFAULT NULL,
  `force_pass_reset` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `firstname`, `lastname`, `slug`, `dob`, `billing_names`, `phone`, `billing_phone`, `email`, `category`, `address`, `billing_address`, `district`, `billing_district`, `billing_city`, `market`, `username`, `store_name`, `sell_as`, `store_tagline`, `store_description`, `profile_image`, `password_hash`, `reset_hash`, `reset_at`, `reset_expires`, `activate_hash`, `status`, `status_message`, `active`, `verification`, `document`, `force_pass_reset`, `created_at`, `updated_at`, `deleted_at`) VALUES
(7, 'Ojangole', 'Baptist', '', '0000-00-00', 'Home address', '0789399707', '2557790000788', 'joshuaosipot@gmail.com', '3', 'Kireka Shopping Mall, Kampala', 'Najjera II Kampala uganda', '1', 'Kampala', 'Kampala', 1, 'joshua', '', NULL, '', '', '1658756761_03dc8cb1dc2a697758cc.png', '$argon2id$v=19$m=2048,t=4,p=4$MDZBQXRnbkVMeUw5RVhiaw$5gXmP0qLA5p/o00/9nRKULJ8KnXFcdMvCR0xpXibx2o', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-05 16:25:43', '2022-10-31 10:47:41', NULL),
(8, 'Osipo', 'Joshua', 'osipo-themes', '1992-06-25', '', '0789399703', '', 'osipothemes@gmail.com', '2', 'Bweyogeree, Kampala - Uganda', '', '112', '', '', 2, 'osipothemes', 'Osipo Stores', NULL, 'We Help You with Your Farm Work', '', '', '$argon2id$v=19$m=2048,t=4,p=4$cUZFUlVkVFlzcXVsLlNISg$4rdDnQAsmk7z3Wr2ByUnIp5zeWv9KG82hjmvVbox6PM', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-05 16:26:34', '2022-10-31 11:02:12', NULL),
(9, 'MoA', 'Uganda', '', '0000-00-00', '', '0784242637', '', 'moauganda@gmail.com', '1', 'Address', '', '1', '', '', 1, 'moauganda', '', NULL, '', '', '', '$argon2id$v=19$m=2048,t=4,p=4$QjZaMnJGM3duOFJhc2Z1SQ$kLvvVAi04wQw9vu/QQLJTlMH3zXSxYVT0Uq7W9OEEH8', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-05 20:13:25', '2023-04-03 01:07:40', NULL),
(10, 'Ibrahim', 'Kamoga', 'totinos-stores', '1992-06-17', '', '0789399602', '', 'totinostores@gmail.com', '2', 'Owino Stall SFD001, Owino market, East', '', '112', '', '', 2, NULL, 'Totinos Stores', NULL, 'We Help You with Your Farm Work', 'We are the best when it comes to agricultural supplies. Our customers are priority to us and many can attest to the quality of our work and products.', '', '$argon2id$v=19$m=2048,t=4,p=4$LmdCejc4RTFzRGNpTFJOMQ$I0+7v2LaSf199gCJ+pVjLwu8cHA93enVQG21xXyIhJw', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-13 14:26:48', '2022-09-05 00:40:48', NULL),
(11, '', '', 'john-&-sons', '0000-00-00', '', '0789399603', '', '', '2', 'Stall 3621BF Owino Market, Kampala - Uganda', '', '112', '', '', 2, NULL, 'John & Sons', NULL, 'We Help You with Your Farm Work', 'We are the best when it comes to agricultural supplies. Our customers are priority to us and many can attest to the quality of our work and products.', '', '$argon2id$v=19$m=2048,t=4,p=4$bGF2T25YTU53VlJrbnU2ZA$WD742ejF1ly1RPvPBa/89w+1YNWxB9VIE3s4nlqgxkE', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-13 14:28:38', '2022-09-05 00:34:52', NULL),
(12, '', '', 'country-agros', '0000-00-00', '', '0789399604', '', '', '2', 'Stall 3331BF Owino Market, Kampala - Uganda', '', '112', '', '', 2, NULL, 'Country Agros', NULL, 'We Help You with Your Farm Work', 'We are the best when it comes to agricultural supplies. Our customers are priority to us and many can attest to the quality of our work and products.', '', '$2y$10$Pgr.wy2Izzqarz/rm9TJ/.GfIxxjJt8PMn6WK8Clw28noXQxDYq7.', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-13 14:29:41', '2022-07-13 14:29:41', NULL),
(13, '', '', 'agro-providers', '0000-00-00', '', '0789399605', '', '', '2', 'Stall 4441BF Owino Market, Kampala - Uganda', '', '112', '', '', 2, NULL, 'Agro Providers', NULL, 'We provide you with all your agro requirements', 'We are the best when it comes to agricultural supplies. Our customers are priority to us and many can attest to the quality of our work and products.', '', '$2y$10$vy5VSpNWOWjne4g5SsxzBu8xIafuWbNxnMrnDMBr.N/nLuBtb3xG6', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-13 14:30:39', '2022-07-13 14:30:39', NULL),
(14, '', '', 'johnson-stores', '0000-00-00', '', '0789399606', '', '', '2', 'Stall 2361BF Owino Market, Kampala - Uganda', '', '112', '', '', 2, NULL, 'Johnson Stores', NULL, 'Buy cheap yet durable agricultural equipment', 'We are the best when it comes to agricultural supplies. Our customers are priority to us and many can attest to the quality of our work and products.', '', '$2y$10$eSZ97kCLmiej9ei1L3XDDeT0VOHpLLmFeU7rRkmXjqoujPm9bzs5W', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-13 14:31:43', '2022-07-13 14:31:43', NULL),
(15, '', '', 'super-millers', '0000-00-00', '', '0789399607', '', '', '2', 'Stall 1001BF Owino Market, Kampala - Uganda', '', '112', '', '', 2, NULL, 'Super Millers', NULL, 'We have the best well processed Maize and Cassava flour', 'We are the best when it comes to agricultural supplies. Our customers are priority to us and many can attest to the quality of our work and products.', '', '$2y$10$w21H8SM7DrPRY6qO5IIRiev2x4NZjBOh92CzkjZjz1HAwhtALBOx6', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-13 14:32:38', '2022-07-13 14:32:38', NULL),
(16, '', '', 'chakula-organics', '0000-00-00', '', '0789399608', '', '', '2', 'Stall 2001BF Owino Market, Kampala - Uganda', '', '112', '', '', 2, NULL, 'Chakula Organics', NULL, 'Get fresh organic produce straight from the farm', 'We are the best when it comes to agricultural supplies. Our customers are priority to us and many can attest to the quality of our work and products.', '', '$2y$10$z4ZBOLcAY6O0vyQImk9//uOVkh6RZiLkq3VvziWu7hR.3Sy4ZNIQ2', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, '', 0, '2022-07-13 14:33:45', '2022-07-13 14:33:45', NULL),
(17, 'Livingston', 'Pruners', 'livingston-pruners', '0000-00-00', '', '0789399609', '', 'livingstone@gmail.com', '2', 'Stall 2101BF Owino Market, Kampala - Uganda', '', '112', '', '', 2, NULL, 'Livingston Pruners', 2, 'Leave your garden troubles to us, we do neat work', 'We are the best when it comes to agricultural supplies. Our customers are priority to us and many can attest to the quality of our work and products.', '', '$argon2id$v=19$m=2048,t=4,p=4$eWc3TUFuemNRR2I0WTBmUQ$SzAobfLAuo3aqjMe1iAoDxaNKg5t2/FEIYtQ/7ohGQY', NULL, NULL, NULL, NULL, NULL, NULL, 1, 0, '', 0, '2022-07-13 14:35:07', '2022-08-27 13:58:31', NULL),
(18, 'John', 'Doe', '', '2010-06-24', 'Opio John', '0789399560', '0789355256', 'johndoe@gmail.com', '3', 'Kampala Uganda', 'Delivery kampala, Nsambya', '112', '', 'Kampala', 0, NULL, '', NULL, '', '', '1680450297_6dc6a2141aa3ccd6897a.png', '$argon2id$v=19$m=2048,t=4,p=4$YXppVVdNL2xSYTUyZk5WZA$5UrRrPtKZnspifEa3jQYNjF/ZaZq1NbrMWeprVRNXws', NULL, NULL, NULL, NULL, NULL, NULL, 1, 2, 'doc.pdf', 0, '2022-07-26 12:47:59', '2022-08-17 13:11:30', NULL),
(23, 'Test', 'User', '', NULL, '', '078939977', '', 'joshuaosipo2@gmail.com', '3', 'kampala Uganda', '', '112', '', '', 0, NULL, NULL, NULL, '', '', '', '$argon2id$v=19$m=2048,t=4,p=4$UWNCMTU5REM1d0ZmYzFaZA$OSEhnCMuNg2uaZoqS5mXS8wj+vUz3TPaCoOZUibkBOg', NULL, NULL, NULL, NULL, NULL, NULL, 1, 2, '', 0, '2022-08-04 14:36:20', '2022-08-04 14:36:20', NULL),
(24, 'Test', 'User', '', NULL, '', '0789366524', '', 'testuser@gmail.com', '3', 'Test address', '', '112', '', '', 0, NULL, NULL, NULL, '', '', '', '$argon2id$v=19$m=2048,t=4,p=4$QXZxZlB4am1GcUFTcmFNUg$qD90ax1RI6MNMmLuqsVtFxv3mjqv9fqvX01yYuuN1rs', NULL, NULL, NULL, NULL, NULL, NULL, 1, 2, '', 0, '2022-08-19 15:10:49', '2022-08-19 15:10:49', NULL),
(25, 'abdalah', 'wafula', '', NULL, '', '0726089136', '', '', '3', 'Kampala uganda', '', '112', '', '', 0, NULL, NULL, NULL, '', '', '', '$argon2id$v=19$m=2048,t=4,p=4$UTBtUDM4dmVIaXhseDlPdg$DN55oXsOIGSzLDqSNF70yiauh22RVzrUhhPCkA2tjUI', NULL, NULL, NULL, NULL, NULL, NULL, 1, 2, '', 0, '2022-09-17 11:32:20', '2022-09-17 11:35:57', NULL),
(26, 'Francis', 'Muwanguzi', '', NULL, '', '0705303769', '', '', '2', 'Kisozi', '', '94', '', '', 0, NULL, NULL, NULL, '', '', '', '$argon2id$v=19$m=2048,t=4,p=4$dEI2R0lCMkhkd3hLU0c5Zg$8M+3pHnKydnXCg1k7b+YoQH3SKxc+k/4OslwCM+pZYU', NULL, NULL, NULL, NULL, NULL, NULL, 1, 2, '', 0, '2022-09-27 09:34:59', '2022-09-27 09:35:42', NULL),
(27, 'Ben', 'Isabirye', '', NULL, '', '0705555555', '', '', '3', 'Kisozi', '', '94', '', '', 0, NULL, NULL, NULL, '', '', '', '$argon2id$v=19$m=2048,t=4,p=4$aC9WLlFlYnJNdXZZTm02Qg$eYbolSrPEz4Hnui/dci4RJOBI+POKGYXab9aTtkk2fg', NULL, NULL, NULL, NULL, NULL, NULL, 1, 2, '', 0, '2022-09-27 09:38:37', '2022-09-27 09:41:03', NULL),
(30, 'Ochieng', 'Rapheal', '', NULL, '', '07834545678', '', '', '3', 'Amuria', '', '80', '', '', 0, 'IJ1F3K8l', NULL, NULL, NULL, NULL, NULL, '$argon2id$v=19$m=2048,t=4,p=4$d3NORVpwMUZPakJycm9DeA$yTlEX0FTFphhOZFq9L9Qu+dt+/q5e/IK6pa1fpzQxl0', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, NULL, 0, '2023-04-02 15:04:04', '2023-04-02 17:03:11', NULL),
(31, 'Osipo', 'Joshua', 'osipo-millers', '0000-00-00', '', '0789344763', '', '', '2', 'Kampala', '', '112', '', '', 1, 'osipo_millers', 'Osipo Millers', 2, '', '', '1680449967_478d54137fb629316a23.png', '$argon2id$v=19$m=2048,t=4,p=4$TU5IQ2hWQnBXT2ZFMklzUg$+1m4DE8PsVAc5GP9yG2MUrpKqGKcxJOhPx1m2CvPaiA', NULL, NULL, NULL, NULL, NULL, NULL, 1, 1, NULL, 0, '2023-04-02 15:36:31', '2023-04-02 19:01:46', NULL);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `abuse_reports`
--
ALTER TABLE `abuse_reports`
  ADD PRIMARY KEY (`report_id`);

--
-- Indexes for table `attributes`
--
ALTER TABLE `attributes`
  ADD PRIMARY KEY (`attribute_id`),
  ADD UNIQUE KEY `attribute_name` (`attribute_name`);

--
-- Indexes for table `auth_activation_attempts`
--
ALTER TABLE `auth_activation_attempts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `auth_groups`
--
ALTER TABLE `auth_groups`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `auth_groups_permissions`
--
ALTER TABLE `auth_groups_permissions`
  ADD KEY `auth_groups_permissions_permission_id_foreign` (`permission_id`),
  ADD KEY `group_id_permission_id` (`group_id`,`permission_id`);

--
-- Indexes for table `auth_groups_users`
--
ALTER TABLE `auth_groups_users`
  ADD KEY `auth_groups_users_user_id_foreign` (`user_id`),
  ADD KEY `group_id_user_id` (`group_id`,`user_id`);

--
-- Indexes for table `auth_logins`
--
ALTER TABLE `auth_logins`
  ADD PRIMARY KEY (`id`),
  ADD KEY `email` (`email`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `auth_permissions`
--
ALTER TABLE `auth_permissions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `auth_reset_attempts`
--
ALTER TABLE `auth_reset_attempts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `auth_tokens`
--
ALTER TABLE `auth_tokens`
  ADD PRIMARY KEY (`id`),
  ADD KEY `auth_tokens_user_id_foreign` (`user_id`),
  ADD KEY `selector` (`selector`);

--
-- Indexes for table `auth_users_permissions`
--
ALTER TABLE `auth_users_permissions`
  ADD KEY `auth_users_permissions_permission_id_foreign` (`permission_id`),
  ADD KEY `user_id_permission_id` (`user_id`,`permission_id`);

--
-- Indexes for table `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`category_id`),
  ADD UNIQUE KEY `category_name` (`category_name`);

--
-- Indexes for table `districts`
--
ALTER TABLE `districts`
  ADD PRIMARY KEY (`district_id`),
  ADD UNIQUE KEY `district_name` (`district_name`);

--
-- Indexes for table `email_settings`
--
ALTER TABLE `email_settings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `farm_groups`
--
ALTER TABLE `farm_groups`
  ADD PRIMARY KEY (`group_id`),
  ADD UNIQUE KEY `group_name` (`group_name`);

--
-- Indexes for table `forum_discussions`
--
ALTER TABLE `forum_discussions`
  ADD PRIMARY KEY (`discussion_id`);

--
-- Indexes for table `forum_joined_groups`
--
ALTER TABLE `forum_joined_groups`
  ADD PRIMARY KEY (`join_id`);

--
-- Indexes for table `forum_topics`
--
ALTER TABLE `forum_topics`
  ADD PRIMARY KEY (`topic_id`);

--
-- Indexes for table `home_slider`
--
ALTER TABLE `home_slider`
  ADD PRIMARY KEY (`slider_id`);

--
-- Indexes for table `markets`
--
ALTER TABLE `markets`
  ADD PRIMARY KEY (`market_id`),
  ADD UNIQUE KEY `market_name` (`market_name`);

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `orders`
--
ALTER TABLE `orders`
  ADD PRIMARY KEY (`order_id`);

--
-- Indexes for table `organ_settings`
--
ALTER TABLE `organ_settings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `products`
--
ALTER TABLE `products`
  ADD PRIMARY KEY (`product_id`),
  ADD UNIQUE KEY `product_name` (`product_name`);

--
-- Indexes for table `product_requests`
--
ALTER TABLE `product_requests`
  ADD PRIMARY KEY (`request_id`);

--
-- Indexes for table `product_reviews`
--
ALTER TABLE `product_reviews`
  ADD PRIMARY KEY (`review_id`);

--
-- Indexes for table `services`
--
ALTER TABLE `services`
  ADD PRIMARY KEY (`service_id`),
  ADD UNIQUE KEY `service_name` (`service_name`);

--
-- Indexes for table `service_orders`
--
ALTER TABLE `service_orders`
  ADD PRIMARY KEY (`s_order_id`);

--
-- Indexes for table `service_reviews`
--
ALTER TABLE `service_reviews`
  ADD PRIMARY KEY (`review_id`);

--
-- Indexes for table `service_types`
--
ALTER TABLE `service_types`
  ADD PRIMARY KEY (`service_type_id`),
  ADD UNIQUE KEY `service_type_name` (`service_type_name`);

--
-- Indexes for table `service_units`
--
ALTER TABLE `service_units`
  ADD PRIMARY KEY (`service_unit_id`),
  ADD UNIQUE KEY `service_unit_name` (`service_unit_name`);

--
-- Indexes for table `units`
--
ALTER TABLE `units`
  ADD PRIMARY KEY (`unit_id`),
  ADD UNIQUE KEY `unit_name` (`unit_name`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `phone` (`phone`),
  ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `abuse_reports`
--
ALTER TABLE `abuse_reports`
  MODIFY `report_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `attributes`
--
ALTER TABLE `attributes`
  MODIFY `attribute_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `auth_activation_attempts`
--
ALTER TABLE `auth_activation_attempts`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `auth_groups`
--
ALTER TABLE `auth_groups`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `auth_logins`
--
ALTER TABLE `auth_logins`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=190;

--
-- AUTO_INCREMENT for table `auth_permissions`
--
ALTER TABLE `auth_permissions`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `auth_reset_attempts`
--
ALTER TABLE `auth_reset_attempts`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `auth_tokens`
--
ALTER TABLE `auth_tokens`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=35;

--
-- AUTO_INCREMENT for table `categories`
--
ALTER TABLE `categories`
  MODIFY `category_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `districts`
--
ALTER TABLE `districts`
  MODIFY `district_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=115;

--
-- AUTO_INCREMENT for table `email_settings`
--
ALTER TABLE `email_settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `farm_groups`
--
ALTER TABLE `farm_groups`
  MODIFY `group_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `forum_discussions`
--
ALTER TABLE `forum_discussions`
  MODIFY `discussion_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT for table `forum_joined_groups`
--
ALTER TABLE `forum_joined_groups`
  MODIFY `join_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20;

--
-- AUTO_INCREMENT for table `forum_topics`
--
ALTER TABLE `forum_topics`
  MODIFY `topic_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `home_slider`
--
ALTER TABLE `home_slider`
  MODIFY `slider_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `markets`
--
ALTER TABLE `markets`
  MODIFY `market_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=31;

--
-- AUTO_INCREMENT for table `orders`
--
ALTER TABLE `orders`
  MODIFY `order_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `organ_settings`
--
ALTER TABLE `organ_settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `products`
--
ALTER TABLE `products`
  MODIFY `product_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `product_requests`
--
ALTER TABLE `product_requests`
  MODIFY `request_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;

--
-- AUTO_INCREMENT for table `product_reviews`
--
ALTER TABLE `product_reviews`
  MODIFY `review_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `services`
--
ALTER TABLE `services`
  MODIFY `service_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `service_orders`
--
ALTER TABLE `service_orders`
  MODIFY `s_order_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `service_reviews`
--
ALTER TABLE `service_reviews`
  MODIFY `review_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `service_types`
--
ALTER TABLE `service_types`
  MODIFY `service_type_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `service_units`
--
ALTER TABLE `service_units`
  MODIFY `service_unit_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `units`
--
ALTER TABLE `units`
  MODIFY `unit_id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `auth_groups_permissions`
--
ALTER TABLE `auth_groups_permissions`
  ADD CONSTRAINT `auth_groups_permissions_group_id_foreign` FOREIGN KEY (`group_id`) REFERENCES `auth_groups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `auth_groups_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `auth_permissions` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `auth_groups_users`
--
ALTER TABLE `auth_groups_users`
  ADD CONSTRAINT `auth_groups_users_group_id_foreign` FOREIGN KEY (`group_id`) REFERENCES `auth_groups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `auth_groups_users_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `auth_tokens`
--
ALTER TABLE `auth_tokens`
  ADD CONSTRAINT `auth_tokens_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `auth_users_permissions`
--
ALTER TABLE `auth_users_permissions`
  ADD CONSTRAINT `auth_users_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `auth_permissions` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `auth_users_permissions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
