<?= $this->extend('admin/layouts/app.php'); ?>

<?= $this->section('page_title'); ?>
Home
<?= $this->endSection() ?>

<?= $this->section('body'); ?>
<div id="main-content">
    <div class="container-fluid">
        <div class="block-header">
            <div class="row clearfix">
                <div class="col-md-6 col-sm-12">
                    <h1>AMIS Uganda</h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item"><a href="#">Page</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><?= $breadcrumb; ?></li>
                        </ol>
                    </nav>
                </div>
                <div class="col-md-6 col-sm-12 text-right hidden-xs">
                    <a href="<?= site_url('admin/districts-report') ?>" class="btn btn-sm btn-primary"><i class="icon-basket"></i> Product Reports</a>
                    <a href="<?= site_url('admin/services/districts-report') ?>" class="btn btn-sm btn-success">Service Reports</a>
                </div>
            </div>
        </div>


        <div class="row clearfix">
            <div class="col-lg-12 col-md-12">
                <div class="card">
                    <div class="header">
                        <h2>Sales By District</h2>
                    </div>
                    <div class="body">
                    <div class="table-responsive">
                            <table class="table table-striped table-hover js-basic-example dataTable spacing5">
                                <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>District</th>
                                        <th>Products Count</th>
                                        <th>Product Sales</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $no = 0; ?>
                                    <?php foreach ($sales as $sales) : ?>
                                        <?php
                                            $query = $db->query("SELECT district_name FROM districts WHERE district_id='$sales->district'");
                                            $result = $query->getRow();

                                            $district_query = $db->query("SELECT COUNT(product_id) as total FROM products WHERE product_district='$sales->district'");
                                            $district_result = $district_query->getRow();
                                        ?>
                                        <?php $no++; ?>
                                        <tr>
                                            <td><?= $no ?></td>
                                            <td><?= $result->district_name ?></td>
                                            <td><?= $district_result->total ?></td>
                                            <td><?= number_format($sales->total) ?> Ugx</td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>

<?= $this->endSection(); ?>